/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var g_currentPage = 1;
var g_totalPage = 0;
var g_group = FamilyCache.EmptyId;
var pageSize = 20;
var type = 0;
/**
 *商家
 */
function loadGroup() {
	try {
		g_group = FamilyCache.GetCache("cache.areadiscount.group") || FamilyCache.EmptyId;
		$("group_page").show();
		var familyBase = FamilyDB.GetFamilyBase();
		var data = "method=Online_GetSeller&areaId=" + familyBase.areaId + "&type=0&group=" + g_group + "&pageSize=" + pageSize + "&currentPage=" + g_currentPage;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : data,
			onComplete : function() {
				$("grouploading").html("正在加载");
			},
			success : function(rs) {
				try {
					$("grouploading").html("");
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						g_totalPage = data.body.totalPages;
						var listDatas = formateGroupDatas(data.body.listDatas);
						if (g_currentPage == 1 && listDatas.length == 0) {
							$("grouploading").html("没有找到团购信息");
							return;
						}
						$("grouplist").provide(listDatas).show();
					}

				} catch(e) {

				}
			},
			fail : function(rs) {
				$("grouploading").html("<a>加载失败，点击重试</a>");
			}
		});
	} catch(e) {
	}
}

/**
 *商家滚动到底部
 */
function g_onScrollBottom() {
	g_currentPage++;
	if (g_currentPage <= g_totalPage) {
		loadGroup();
	}
}

function formateGroupDatas(listDatas) {
	for (var i = 0; i < listDatas.length; i++) {
		var data = listDatas[i];
		data.img = FamilyCache.Onlineurl() + "?method=Online_GetSellerImg&amp;id=" + data.fg;
		var goods = data.goods;
		var good = "";
		if (goods && goods.length > 0) {
			var ids = "";
			for (var j = 0; j < goods.length; j++) {
				var dt = goods[j];
				ids += dt.id + ",";
				good += '<div href="res:page/areadiscount/tuangou.detail.uixml?id=' + dt.id + '&amp;storeId=' + data.fg + '" id="' + dt.id + '" class="groupgoods" style="display:' + (j > 1 ? "none" : "block") + '">';

				good += '<div class="goodsimg">';
				good += '<img src="' + FamilyCache.Onlineurl() + "?method=Online_GetSellerGoodsImage&amp;id=" + dt.id + '" cached="true" defaultsrc="res:image/icon/lasy_img.png" class="full-width goodsimgheight" />';
				good += '</div>';

				good += '<div class="goodsdesc">';

				good += '<div class="goodsname">';
				good += goods[j].desc;
				good += '</div>';

				good += '<div class="goodsprice">';
				//good += '<efont class="efont1">￥</efont>';
				good += '<efont class="efont4">￥' + dt.price + '</efont>';
				good += '<ediv class="efont3">￥' + dt.yuanjia + '</ediv>';
				good += '<efont class="efont2">' + dt.saleNumber + '</efont>';
				good += '</div>';

				good += '</div>';

				good += '</div>';
			}
			var tag = 2;
			if (goods.length > tag) {
				good += "<div id='other" + i + "' class='goodsother' href=\"showOther('" + ids + "'," + i + ")\">查看其他" + (goods.length - tag) + "个团购</div>";
			}
		}
		data.goods = good;

		var dis = data.dis;
		var desc = "";
		if (dis && dis.length > 0) {
			desc += '<div class="groupgoods" style="padding:0">';
			for (var j = 0; j < dis.length; j++) {
				desc += '<div class="groupgoods1" style="width:100%;">' + dis[j].desc + '</div>';
			}
			desc += '</div>';
		}
		data.dis = desc;
		data.evalImg = pingfen(data.eval);
	}
	return listDatas;
}

/**
 *外卖
 */
var hasLoadWaimai = false;
var w_currentPage = 1;
var w_totalPage = 0;
function showWaimai() {
	$("waimai_page").show();
	if (!hasLoadWaimai) {
		loadWaimain();
	}
}

function loadWaimain() {
	try {
		hasLoadWaimai = true;
		var familyBase = FamilyDB.GetFamilyBase();
		var data = "method=Online_GetSeller&areaId=" + familyBase.areaId + "&type=1&group=" + FamilyCache.EmptyId + "&pageSize=" + pageSize + "&currentPage=" + w_currentPage;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : data,
			onComplete : function() {
				$("waimailoading").html("正在加载");
			},
			success : function(rs) {
				try {
					$("waimailoading").html("");
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						w_totalPage = data.body.totalPages;
						var listDatas = formateGroupDatas(data.body.listDatas);
						if (w_currentPage == 1 && listDatas.length == 0) {
							$("waimailoading").html("没有找到外卖信息");
							return;
						}
						$("waimailist").provide(listDatas).show();
					}
				} catch(e) {

				}
			},
			fail : function(rs) {
				$("waimailoading").html("<a>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

function w_onScrollBottom() {
	try {
		w_currentPage++;
		if (w_currentPage <= w_totalPage) {
			loadWaimain();
		}
	} catch(e) {

	}
}

function changeClass(type) {
	$("titlebar").title = type == 1 ? "团购优惠" : "订外卖";
}

function showOther(ids, index) {
	if (ids) {
		var items = ids.split(",");
		for (var i = 0; i < items.length; i++) {
			var id = items[i];
			$(id) && $(id).show();
		}
		var other = "other" + index;
		$(other) && $(other).hide();
	}
}
