/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */

var goodsInfo;
function onLoad() {
	try {
		var id = window.getParameter("id");
		var datas = "method=Online_GetSellerGoodsInfo";
		datas += "&id=" + id;
		datas += "&userImg=" + FamilyCache.Onlineimgurl();
		datas += "&type=0";
		datas += "&pageSize=10";
		datas += "&currentPage=1";
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("loading").html("正在加载");
			},
			success : function(rs) {
				$("loading").hide();
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						goodsInfo = data.body.goodsInfo;
						$("goods_name").caption = goodsInfo.goodsName;
						$("goods_name").sndcaption = "已售" + goodsInfo.saleNumber;
						$("goods_price").html(goodsInfo.salePrice);
						$("goods_yuanjia").html(goodsInfo.yuanjia + "元");

						var evaluation = pingfen(goodsInfo.evaluation);
						$("evaluationimg").html(evaluation);
						$("evaluation").html(goodsInfo.evaluation + "分");
						$("evaluation_total").html(goodsInfo.totalEvaluation > 0 ? goodsInfo.totalEvaluation + "条评价" : "暂无评价");

						var sellerInfo = data.body.sellerInfo;
						$("seller_name").html(sellerInfo.name);
						$("seller_address").html(sellerInfo.address);
						$("seller_phone").href = "PhoneUtil.tel('" + sellerInfo.phone + "')";
						$("seller_info").href = "open('res:page/areadiscount/shangjia.uixml?id=" + sellerInfo.sellerId + "',false)";

						var images = data.body.images;
						var slidingcontainer = "";
						for (var i = 0; i < images.length; i++) {
							var url = FamilyCache.Onlineurl() + "?method=Online_GetSellerGoodsImage&amp;type=2&amp;id=" + images[i].id;
							slidingcontainer += '<slidingitem>';
							slidingcontainer += '<img src="' + url + '" cached="true" defaultsrc="res:image/icon/lasy_img_342.png" class="full-width" />';
							slidingcontainer += '</slidingitem>';
						}
						$("slidingcontainer").html(slidingcontainer);

						var properties = data.body.properties;
						$("property").provide(properties).show();

						var copmentDatas = data.body.copmentDatas;
						var copmentTotal = data.body.copmentTotal;
						for (var i = 0; i < copmentDatas.length; i++) {
							var copment = copmentDatas[i];
							copment.evaluation = pingfen(copment.evaluation);
						}
						if (copmentDatas.length > 0) {
							$("copment_total").html(copmentTotal + "条评价");
						} else {
							$("copment_total").html("暂无评价");
						}
						$("copment").clear().provide(copmentDatas).show();

						$("body").show();
					} else {
						$("loading").show();
						$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
					}
				} catch(e) {
					$("loading").show();
					$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
				}
			},
			fail : function() {
				$("loading").show();
				$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
			}
		});
	} catch(e) {
	}
}

function buy() {
	try {
		var clientBase = FamilyDB.GetClientBase();
		if (!clientBase) {
			Family.Toast.Show("亲,注册会员后才能抢购哦");
			return;
		}
		var storeId = window.getParameter("storeId") || FamilyCache.EmptyId;
		var params = "?id=" + window.getParameter("id");
		params += "&goodsName=" + goodsInfo.goodsName;
		params += "&goodsPrice=" + goodsInfo.salePrice;
		params += "&saleType=" + goodsInfo.saleType;
		params += "&storeId=" + storeId;
		open("res:page/areadiscount/tuangou.order.uixml" + params);
	} catch(e) {

	}
}

function goBaiduMap(address, location) {
	try {
		Family.ProcessBar.Show();
		location = location.split(",");
		$xlocation.get(function(data) {
			var lng = "";
			var lat = "";
			if (data) {
				lng = data.lng;
				lat = data.lat;
			}
			var config = {
				"startLan" : lat, //起点纬度
				"startLon" : lng, //起点经度
				"startName" : data.street, //startName
				"endLan" : location[1], //终点纬度
				"endLon" : location[0], //终点经度
				"endName" : address, //终点名称
				"mode" : "", //导航模式，字符串枚举类型，取值为[transit,driving,walking]，分别表示公交、驾车和步行，可选项，默认为driving
				"coordType" : "", //经纬度坐标类型，字符串枚举类型[bd09ll、bd09mc、gcj02、wgs8411]
				"city" : ""
			};
			NativeUtil.openBaiduMapNavi(config);
			Family.ProcessBar.Hide();
		});
	} catch(e) {
		Family.ProcessBar.Hide();
	}
}

function pingfen(fen) {
	var a = '<img src="res:image/pingfen/man.png" />';
	var b = '<img src="res:image/pingfen/ban.png" />';
	var c = '<img src="res:image/pingfen/kong.png" />';
	var img = "";
	fen = parseFloat(fen);
	if (fen >= 0 && fen <= 0.4) {
		img = c + c + c + c + c;
	} else if (fen >= 0.5 && fen <= 0.9) {
		img = b + c + c + c + c;
	} else if (fen >= 1.0 && fen <= 1.4) {
		img = a + c + c + c + c;
	} else if (fen >= 1.5 && fen <= 1.9) {
		img = a + b + c + c + c;
	} else if (fen >= 2.0 && fen <= 2.4) {
		img = a + a + c + c + c;
	} else if (fen >= 2.5 && fen <= 2.9) {
		img = a + a + b + c + c;
	} else if (fen >= 3.0 && fen <= 3.4) {
		img = a + a + a + c + c;
	} else if (fen >= 3.5 && fen <= 3.9) {
		img = a + a + a + b + c;
	} else if (fen >= 4.0 && fen <= 4.4) {
		img = a + a + a + a + c;
	} else if (fen >= 4.5 && fen <= 4.9) {
		img = a + a + a + a + b;
	} else if (fen >= 5.0) {
		img = a + a + a + a + a;
	}
	return img;
}

function openPingjia() {
	open("res:page/areadiscount/copments.uixml?goodsId=" + window.getParameter("id"));
}
