var sellerInfo = {};
var waimaiList = [];
function onLoad() {
	try {
		var datas = "method=Online_GetWaimaiInfo";
		datas += "&sellerId=" + window.getParameter("sellerId");

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("loading").html("正在加载");
			},
			success : function(rs) {
				$("loading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						//批量刷新
						window.beignPreferenceChange();

						sellerInfo = data.body.sellerInfo;
						$("seller_name").html(sellerInfo.sellerName);
						$("seller_desc").html("配送费:￥" + sellerInfo.serivcePrice + "|预计" + sellerInfo.timeDesc + "分钟送达 " + "|满" + sellerInfo.distinctPrice + "免费配送");
						$("buy").html("差" + sellerInfo.startPrice + "元起送");

						waimaiList = data.body.waimaiList;
						var leftscroll = "";
						var rightscroll = "";
						var targetCount = 0;
						for (var i = 0; i < waimaiList.length; i++) {
							var waimai = waimaiList[i];
							var goodsInfo = waimai.goodsInfo;
							targetCount += waimai.goodsInfo.length;
							leftscroll += '<div id="' + waimai.typeId + '" href="loadTypeData(\'' + waimai.typeId + '\',' + targetCount + ',' + i + ')" class="' + (i == 0 ? "leftdivcur" : "leftdiv") + '">' + waimai.typeName + '</div>';

							rightscroll += '<div class="lefttype" id="left-type-' + waimai.typeId + '">' + waimai.typeName + '</div>';

							for (var j = 0; j < goodsInfo.length; j++) {
								var goods = goodsInfo[j];
								var goodsId = goods.goodsId;
								var imgsrc = FamilyCache.Onlineurl() + "?method=Online_GetSellerGoodsImage&amp;id=" + goodsId;
								rightscroll += '<div class="leftbody">';

								rightscroll += '<div style="width:20%;" href="showSingle(\'' + goodsId + '\',\'' + goods.goodsName + '\',\'' + goods.salePrice + '\')">';
								rightscroll += '<img src="' + imgsrc + '" cached="true" defaultsrc="res:image/icon/lasy_img_382.png" class="full-width" />';
								rightscroll += '</div>';

								rightscroll += '<div style="width:80%;" href="showSingle(\'' + goodsId + '\',\'' + goods.goodsName + '\',\'' + goods.salePrice + '\')">';
								rightscroll += '<efont>' + goods.goodsName + '</efont><br />';
								rightscroll += '<efont class="leftsaledesc">已售' + goods.saleNumber + '</efont><br />';
								rightscroll += '</div>';
								rightscroll += '<efont class="leftprice">￥' + goods.salePrice + '</efont>';

								rightscroll += '<ediv class="leftoper">';
								rightscroll += '<img href="minus(\'' + goodsId + '\',\'' + goods.goodsName + '\',\'' + goods.salePrice + '\')" style="display:none;" id="jian' + goodsId + '" src="res:image/waimai/jian.png" class="leftimg" />';
								rightscroll += '<efont id="number' + goodsId + '" class="leftbuynumber"></efont>';
								rightscroll += '<img href="add(\'' + goodsId + '\',\'' + goods.goodsName + '\',\'' + goods.salePrice + '\')" id="jia' + goodsId + '" src="res:image/waimai/jia.png" class="leftimg" />';
								rightscroll += '</ediv>';

								rightscroll += '</div>';
							}
						}
						$("leftscroll").append(leftscroll, 0);
						$("rightscroll").append(rightscroll, 0);

						$("sellerInfo").show();
						$("leftcontainer").show();
						$("rightscroll").show();
						$("footer").show();
						window.endPreferenceChange();

					} else {
						$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
					}
				} catch(e) {
					$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
				}
			},
			fail : function() {
				$("loading").html("<a href='onLoad()'>加载失败,点击重试</a>");
			}
		});
	} catch(e) {

	}
}

/**
 *左侧内容点击改变选中状态
 */
function loadTypeData(id, targetCount, index) {
	try {
		window.beignPreferenceChange();
		for (var i = 0; i < waimaiList.length; i++) {
			var waimai = waimaiList[i];
			var dom = $(waimai.typeId);
			if (dom) {
				dom.className = "leftdiv";
			}
		}
		var dom = $(id);
		if (dom) {
			dom.className = "leftdivcur";
		}
		$("rightscroll").scrollToCtrl("left-type-" + id);
		window.endPreferenceChange();
	} catch(e) {

	}
}

var cache_buyArray = [];

/**
 *增加数量
 */
function add(goodsId, goodsName, goodsPrice) {
	try {
		var buynumberDom = $("number" + goodsId);
		var jiaDom = $("jia" + goodsId);
		var jianDom = $("jian" + goodsId);

		var buynumber = parseInt(buynumberDom.html() || 0);
		buynumber++;

		updateBuyArray(goodsId, goodsName, goodsPrice, buynumber);
		getBuyInfo();
		buynumberDom.html(buynumber);
		buynumberDom.show();
		jianDom.show();

	} catch(e) {

	}
}

function fixadd(goodsId, goodsName, goodsPrice) {
	try {
		var buynumberDom = $("fix-number-" + goodsId);
		var jiaDom = $("fix-jia-" + goodsId);
		var jianDom = $("fix-jian-" + goodsId);
		var totalDom = $("fix-totalPrice-" + goodsId);

		var buynumber = parseInt(buynumberDom.html() || 0);
		buynumber++;

		var totalPrice = (parseFloat(goodsPrice) * buynumber).toFixed(2);
		totalDom.html("￥" + totalPrice);

		updateBuyArray(goodsId, goodsName, goodsPrice, buynumber);
		getBuyInfo();

		buynumberDom.html(buynumber);
		buynumberDom.show();
		jianDom.show();

		jianDom = $("jian" + goodsId);
		jianDom.show();

		buynumberDom = $("number" + goodsId);
		buynumberDom.html(buynumber);
		buynumberDom.show();

	} catch(e) {

	}

}

/**
 *减少数量
 * @param {Object} goodsId
 * @param {Object} goodsName
 * @param {Object} goodsPrice
 */
function minus(goodsId, goodsName, goodsPrice) {
	try {
		var buynumberDom = $("number" + goodsId);
		var jiaDom = $("jia" + goodsId);
		var jianDom = $("jian" + goodsId);

		var buynumber = parseInt(buynumberDom.html() || 0);
		buynumber--;

		updateBuyArray(goodsId, goodsName, goodsPrice, buynumber);
		getBuyInfo();
		buynumberDom.html(buynumber);

		if (buynumber <= 0) {
			buynumberDom.hide();
			jianDom.hide();
		}

	} catch(e) {
	}
}

function fixMinus(goodsId, goodsName, goodsPrice) {
	try {
		var buynumberDom = $("fix-number-" + goodsId);
		var jiaDom = $("fix-jia-" + goodsId);
		var jianDom = $("fix-jian-" + goodsId);
		var totalDom = $("fix-totalPrice-" + goodsId);

		var buynumber = parseInt(buynumberDom.html() || 0);
		buynumber--;

		var totalPrice = (parseFloat(goodsPrice) * buynumber).toFixed(2);

		updateBuyArray(goodsId, goodsName, goodsPrice, buynumber);
		getBuyInfo();
		buynumberDom.html(buynumber);
		totalDom.html("￥" + totalPrice);

		if (buynumber <= 0) {
			buynumberDom.hide();
			jianDom.hide();

			buynumberDom = $("number" + goodsId);
			buynumberDom.hide();

			jianDom = $("jian" + goodsId);
			jianDom.hide();

			$("fixsigle").hide();

			var wapperDom = $("fix-" + goodsId);
			wapperDom.hide();
			if (cache_buyArray.length == 0) {
				$("fix").hide();
			}

		}

		buynumberDom = $("number" + goodsId);
		buynumberDom.html(buynumber);

	} catch(e) {
	}
}

/**
 *修改数组内容
 */
function updateBuyArray(goodsId, goodsName, goodsPrice, buyNumber) {
	try {
		//是否存在此商品
		var exists = false;
		//索引
		var index = 0;
		for (var i = 0; i < cache_buyArray.length; i++) {
			var buyInfo = cache_buyArray[i];
			if (buyInfo.goodsId == goodsId) {
				exists = true;
				index = i;
				break;
			}
		}

		if (exists) {
			if (buyNumber != 0) {
				var buy = cache_buyArray[index];
				buy.buyNumber = buyNumber;
				cache_buyArray[index] = buy;
			} else {
				//删除数组元素
				cache_buyArray.splice(index, 1);
			}
		} else {
			cache_buyArray.push({
				"goodsId" : goodsId,
				"goodsName" : goodsName,
				"goodsPrice" : goodsPrice,
				"buyNumber" : buyNumber
			});
		}
	} catch(e) {

	}
}

/**
 *购买信息
 */
function getBuyInfo() {
	try {
		var buynumber = 0;
		var totalPrice = 0;
		for (var i = 0; i < cache_buyArray.length; i++) {
			var buy = cache_buyArray[i];
			buynumber += parseInt(buy.buyNumber);
			totalPrice += parseInt(buy.buyNumber) * (buy.goodsPrice);
		}
		totalPrice = totalPrice.toFixed(2);
		$("totalPrice").html("￥" + totalPrice);
		$("buynumber").html(buynumber);
		$("buynumber").style.display = buynumber > 0 ? "block" : "none";
		var startPrice = parseFloat(sellerInfo.startPrice);
		if (totalPrice < startPrice) {
			$("buy").html("差" + (startPrice - totalPrice) + "元起送");
			$("buy").className = "footernotbuy";
		} else {
			$("buy").html("选好了");
			$("buy").className = "footerbuy";
			$("buy").href = "buy()";
		}

	} catch(e) {

	}

}

/**
 *显示购物车
 */
function showShopcarlist() {
	try {
		if (cache_buyArray.length == 0) {
			Family.Toast.Show("买点吃的吧~");
			return;
		}
		$("fixsigle").clear();
		var display = $("fix").style.display;
		if (display == "none") {
			for (var i = 0; i < cache_buyArray.length; i++) {
				var buy = cache_buyArray[i];
				buy.totalPrice = (parseFloat(buy.buyNumber) * parseFloat(buy.goodsPrice)).toFixed(2);
			}
			$("fixscroll").clear().provide(cache_buyArray);
			$("fix").show();
		}
	} catch(e) {
	}
}

/**
 *android手机返回建处理
 */
function goBack() {

	var dom = $("fix");
	if (dom.style.display == "block") {
		dom.hide();
		return;
	}
	dom = $("fixsigle");
	if (dom.style.display == "block") {
		dom.hide();
		return;
	}
	close();
}

/**
 *清空购物车
 */
function clearShopcar() {
	try {
		for (var i = 0; i < cache_buyArray.length; i++) {
			var goods = cache_buyArray[i];
			var goodsId = goods.goodsId;
			var buynumberDom = $("number" + goodsId);
			var jianDom = $("jian" + goodsId);
			buynumberDom.html("");
			jianDom.hide();
		}
		cache_buyArray = [];
		$("fix").hide();
		$("buynumber").hide();
		var buyDom = $("buy");
		buyDom.html("差" + sellerInfo.startPrice + "元起送");
		buyDom.className = "footernotbuy";
		$("totalPrice").html("￥0");

		$("shopcar").show();
	} catch(e) {

	}
}

/**
 *显示单个商品
 */
function showSingle(goodsId, goodsName, goodsPrice) {
	try {
		$("fix").hide();
		$("fixscroll").clear();

		var exists = false;
		var buyNumber = 0;
		for (var i = 0; i < cache_buyArray.length; i++) {
			var buy = cache_buyArray[i];
			if (buy.goodsId == goodsId) {
				exists = true;
				buyNumber = buy.buyNumber;
				break;
			}
		}

		var totalPrice = goodsPrice;
		if (buyNumber > 0) {
			totalPrice = (parseFloat(goodsPrice) * parseFloat(buyNumber)).toFixed(2);
		}

		var array = [];
		array.push({
			"goodsId" : goodsId,
			"goodsName" : goodsName,
			"goodsPrice" : goodsPrice,
			"buyNumber" : buyNumber,
			"totalPrice" : totalPrice,
			"showButton" : buyNumber > 0 ? "block" : "none",
			"img" : FamilyCache.Onlineurl() + "?method=Online_GetSellerGoodsImage&amp;id=" + goodsId
		});
		$("fixsigle").clear().provide(array);
		$("fixsigle").show();
	} catch(e) {
	}
}

/**
 *购买
 */
function buy() {
	try {
		var buyDom = $("buy");
		if (buyDom.className == "footernotbuy") {
			return;
		}

		FamilyCache.SetCache("family.waimai.sellerInfo", ClientUtil.jsonToString(sellerInfo));
		FamilyCache.SetCache("family.waimai.order", ClientUtil.jsonToString(cache_buyArray));
		var storeId = window.getParameter("sellerId") || FamilyCache.EmptyId;
		open("res:page/areadiscount/waimai.order.uixml?storeId=" + storeId);
	} catch(e) {

	}
}
