/*
*	ExMobi4.x+ JS
*	Version	: 1.0.0
*	Author	: jy313649063
*	Email	:
*	Weibo	:
*	Copyright 2015 (c)
*/
/**
 *
 */
var dataLog;
var netTimespan = "00:00";
function onLoad() {
	dataLog = FamilyDB.GetOrderLog();
	if (dataLog) {
		netTimespan = dataLog.body.timespan;
	}
	renderGoods();
}

function openDate() {
	open("res:page/payment/order.datepick.uixml?netTimespan=" + netTimespan);
}

function renderGoods() {
	try {
		var goodsList = FamilyDB.GetNetGoods();
		if (goodsList && goodsList.length == 0) {
			$("loading").show();
			$("loading").html("点击下方的<ediv href='openDate()' style='color:#FEB544'>添加日期</ediv>按钮，定制您的私人菜单");
			$("goodsList").hide();
			return;
		}
		$("loading").hide();
		for (var i = 0; i < goodsList.length; i++) {
			var goods = goodsList[i];
			var item = "";
			if (goods.goodsData) {
				var listData = goods.goodsData;
				for (var j = 0; j < listData.length; j++) {
					var info = listData[j];
					item += '<div id="' + info.id + '">';
					item += '<ediv style="align: left;" class="ediv">' + info.goodsName + '</ediv>';

					item += '<ediv style="align: center;" class="ediv">';
					item += '<div style="border-radius: 10;border-size: 1;width:122">';
					item += '<div href="subtractSaleNumber(\'' + info.id + '\')" class="g-t-width g-t-l-border g-t-red">—</div>';
					item += '<input type="text" id="buynumber' + info.id + '" value="' + info.buyNumber + '" siptype="num" class="g-t-width g-t-input"/>';
					item += '<div href="addSaleNumber(\'' + info.id + '\')" class="g-t-width g-t-l-border g-t-red">+</div>';
					item += '</div>';
					item += '</ediv>';

					item += '<ediv style="align: right;padding:0 5 0 0;color:#6e6e6e;" class="ediv">¥' + info.goodsPrice + '</ediv>';

					item += '<ediv style="align: right;padding:0 5 0 0" class="ediv"><img href="deleteGoods(\'' + info.id + '\')" src="res:image/icon/shanchu.png" style="width:24;width:24;" /></ediv>';
					item += '</div>';
				}
			}
			goods.item = item;
		}
		$("goodsList").clear().provide(goodsList).show();
	} catch(e) {
	}
}

function subtractSaleNumber(id) {
	try {
		var dom = $("buynumber" + id);
		var buynumber = dom.val();
		if (!buynumber || parseInt(buynumber) == 1) {
			dom.val(1);
			return;
		}
		dom.val(parseInt(buynumber) - 1);
		var result = FamilyDB.UpdateNetGoods({
			"buyNumber" : dom.val(),
			"id" : id
		});
	} catch(e) {
	}
}

function addSaleNumber(id) {
	try {
		var dom = $("buynumber" + id);
		var buynumber = dom.val();
		if (!buynumber) {
			dom.val(1);
			return;
		}
		dom.val(parseInt(buynumber) + 1);
		var result = FamilyDB.UpdateNetGoods({
			"buyNumber" : dom.val(),
			"id" : id
		});
	} catch(e) {
	}
}

function deleteGoods(id) {
	try {
		var result = FamilyDB.DeleteNetGoods(id);
		if (result) {
			$(id) && $(id).hide();
		}
	} catch(e) {

	}
}
