/*
 *	手机缓存
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var FamilyCache = (function() {
	var _setCache = function(name, value) {
		try {
			CacheUtil ? CacheUtil.setCache(name, value) : document.cache.setCache(name, value);
		} catch(e) {
			document.cache.setCache(name, value);

		}

	};

	var _getCache = function(name) {
		var value = "";
		try {
			value = CacheUtil ? CacheUtil.getCache(name) : document.cache.getCache(name);
		} catch(e) {
			value = document.cache.getCache(name);
		}
		return value;
	};

	var _removeCache = function(name) {
		try {
			CacheUtil ? CacheUtil.remove(name) : document.cache.remove(name);
		} catch(e) {
			document.cache.remove(name);
		}

	};

	/**
	 *是否显示用户引导
	 */
	var _isShowWelcome = true;
	var _welcomeCacheName = "cache.welcome";

	/**
	 *是否为测试环境 true:是 ,flase:正式环境
	 */
	var _debug = false;
	var _starturl = _debug ? "http://192.168.1.3/esuap3/onlineservice.asmx" : "http://online.es-it.cn/onlineservice.asmx";

	var _propertyurl = function() {
		return _starturl + "/DataFromProperty";
	};

	var _onlineurl = function() {
		return _starturl + "/DataFromOnline";
	};

	var _onlinebaseurl = function() {

		return _starturl.replace("onlineservice.asmx", "") + "WebSolution/";
		return "http://localhost:2604/WebSite/";
	};

	var _onlineimgurl = function() {
		return _starturl.replace("onlineservice.asmx", "TempFile/");
	};

	var _pattern = "family.use.pattern";

	var _isVisitPattern = function() {
		return FamilyDB.GetFamilyBase().pattern == 1;
	};

	//推送地址
	var _pushurl = function() {
		return _debug ? "http://192.168.1.37:8001/process/notify/" : "http://app.es-it.cn:8001/process/notify/";
	};

	//弹出登录提示
	var _showLoginWindow = function() {
		open("res:page/register/register.window.uixml");
	};

	//弹出房屋绑定提示
	var _showBindingWindow = function() {
		open("res:page/register/register.binding.window.uixml");
	};

	return {
		SetCache : _setCache, //设置缓存
		GetCache : _getCache, //获取缓存
		RemoveCache : _removeCache, //删除指定缓存
		Propertyurl : _propertyurl, //物业服务地址
		Onlineurl : _onlineurl, //电商服务地址
		OnlineBaseurl : _onlinebaseurl,
		Onlineimgurl : _onlineimgurl, //电商图片访问地址
		Keyurl : "http://system.es-it.cn/WebSolution/GetClientUrl.aspx", //中转地址
		IsVisitPattern : _isVisitPattern, //是否为游客模式 false
		EmptyId : "00000000-0000-0000-0000-000000000000",
		DefaultEmployeeId : "00000000-0000-0000-0000-000000000001",
		Pushurl : _pushurl, //推送地址
		Pwidth : 720, //手机拍照像素
		OutHeight : 100,
		Debug : _debug,
		EasySoftId : "14262790-45fc-42cd-a9b0-e8347ebb0a72",
		ShowLoginWindow : _showLoginWindow,
		ShowBindingWindow : _showBindingWindow,
		IsShowWelcome : _isShowWelcome,
		WelcomeCacheName : _welcomeCacheName
	};
})();
