var clientBase;
var familyBase;
var areaId, //当前小区-切换的小区id(电商定义的小区)
    esareaId, //物业公司小区id 客户注册的小区id
    clientId, //客户id
    str;

var page = 1;
function onLoad() {
	try {
		clientBase = FamilyDB.GetClientBase();
		familyBase = FamilyDB.GetFamilyBase();
		areaId = familyBase ? familyBase.areaId : FamilyCache.EmptyId;
		esareaId = familyBase ? familyBase.esareaId : FamilyCache.EmptyId;
		clientId = clientBase ? clientBase.id : FamilyCache.EmptyId;
		var datas = "method=Property_HouseRental_HouseRentalList&esaid=" + esareaId + "&type=main&page=" + page;
		Family.DoRequest({
			url : FamilyDB.GetPostAddress(),
			data : datas,
			isBlock : true,
			onComplete : function() {
				if (page == 1) {
					$("list").clear();
				}
			},
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var json = data.body.datas;
						if (json.length > 0) {
							$("list").provide(json).show();
							page = page + 1;
						} else {
							if (page > 1) {
								Family.Toast.Show("已经到底了");
							} else {
								$("list").show();
								$("list").html("<div style='width:100%;text-align:center;'>暂无数据<div>");
							}
						}
					}
				} catch(e) {
				}
			},
			fail : function() {
			}
		});
	} catch(e) {
	}
}

function ListPage() {
	onLoad();
}

function getMain(type) {
	var pageurl,
	    parmas;
	switch(type) {
	case 'wy':
		//我的房屋
		pageurl = "res:page/houserental/myhouserental.uixml?";
		parmas = "type=1&clientId=" + clientId + "&esareaId=" + esareaId + "&areaId=" + areaId;
		break;
	//case "wdzs":
	////我的租售
	//pageurl = "res:page/houserental/myhouserental.uixml?";
	//parmas = "type=2&clientId=" + clientId + "&esareaId=" + esareaId + "&areaId=" + areaId;
	//break;
	//case "zs":
	////租售
	//pageurl = "res:page/houserental/houserental.uixml?";
	//parmas = "type=租售&clientId=" + clientId + "&esareaId=" + esareaId + "&areaId=" + areaId;
	//break;
	case "zf":
		//租房
		pageurl = "res:page/houserental/houserental.uixml?";
		parmas = "type=租&clientId=" + clientId + "&esareaId=" + esareaId + "&areaId=" + areaId;
		break;
	case "sf":
		//售房
		pageurl = "res:page/houserental/houserental.uixml?";
		parmas = "type=售&clientId=" + clientId + "&esareaId=" + esareaId + "&areaId=" + areaId;
		break;
	}
	if (pageurl) {
		open(pageurl + parmas);
	}
}

function getRentalDetail(houseId) {
	var params = "type=house&houseId=" + houseId;
	open("res:page/houserental/housedetail.uixml?" + params);
}