var areaId, //当前小区-切换的小区id
    esareaId, //物业公司小区id 客户注册的小区id
    clientId, //客户id
    type;

function onLoad() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		if (familyBase && familyBase.pattern == 0) {
			confirm("游客您好，该功能需要登录才能使用，是否跳转到登录页面？", function() {
				open("res:page/login.uixml?autoLogin=false");
				close();
			});
			return;
		}
		areaId = window.getParameter("areaId");
		esareaId = window.getParameter("esareaId");
		clientId = window.getParameter("clientId");
		type = window.getParameter("type");
		var title = document.getElementById("title1");
		if (title) {
			switch(type) {
			case "1":
				title.title = "我的房屋";
				getMyHouse(areaId, esareaId, clientId);
				break;
			case "2":
				title.title = "我的房屋";
				getMyRental(clientId, esareaId);
				break;
			}
		}
	} catch(e) {
	}
}

function getMyHouse(aid, esaid, cid) {
	try {
		var objectList = "",
		    db = FamilyDB.GetOwnerHouseByArea(clientId, areaId);
		//获取已认证任务Id
		if (db) {
			for (var i = 0; i < db.length; i++) {
				objectList += db[i].objectId + ',';
			}
			if (objectList) {
				objectList = objectList.substr(0, objectList.length - 1);
			}
			Family.DoRequest({
				url : FamilyDB.GetPostAddress(),
				data : "method=Property_HouseRental_ObjectList&house=" + objectList,
				isBlock : true,
				success : function(rs) {
					try {
						var data = Family.ToJSON(rs.responseText);
						if (data && data.response.code == 200) {
							$("ownerList").hide();
							var json = data.body.datas;
							if (json.length > 0) {
								$("objectList").clear().provide(json).show();
							} else {
								$("objectList").show();
								$("ownerList").clear().html("<div style='width:100%;text-align:center;'>暂无数据<div>");
							}
						}
					} catch(e) {
					}
				},
				fail : function() {
				}
			});
		} else {
			Family.Toast.Show("暂无房屋信息，请您先进行房屋认证");
		}
	} catch(e) {
	}
}

function getMyRental(cid, esaid) {
	try {
		var datas = "method=Property_HouseRental_HouseInfo&cid=" + cid;
		Family.DoRequest({
			url : FamilyDB.GetPostAddress(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						$("objectList").hide();
						var json = data.body.datas;
						if (json.length > 0) {
							$("ownerList").clear().provide(json).show();
						} else {
							$("ownerList").show();
							$("ownerList").clear().html("<div style='width:100%;text-align:center;'>暂无数据<div>");
						}
					}
				} catch(e) {
				}
			},
			fail : function() {
			}
		});
	} catch(e) {
	}
}

function getAddHouse(objectId, name) {
	try {
		var datas = "method=Property_HouseRental_HouseAndObject&guid=" + objectId + "&type=house";
		Family.DoRequest({
			url : FamilyDB.GetPostAddress(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var json = data.body.datas;
						if (json.length > 0) {
							getRentalDetail(objectId);
							//var params = "type=house&operate=cantral&houseId=" + objectId;
							//open("res:page/houserental/housedetail.uixml?" + params);
						} else {
							var data = {
								"objectId" : objectId,
								"clientId" : clientId,
								"esareaId" : esareaId,
								"areaId" : areaId,
								"title" : name
							};
							FamilyCache.SetCache("family.house.params", ClientUtil.jsonToString(data));
							open("res:page/houserental/addhouserental.uixml");
						}
					}
				} catch(e) {
				}
			},
			fail : function() {
			}
		});
	} catch(e) {
	}
}

function getRentalDetail(houseId) {
	var params = "type=house&operate=cantral&houseId=" + houseId;
	open("res:page/houserental/housedetail.uixml?" + params);
}
