var calendar;
var netTimespan = window.getParameter("netTimespan") || "00:00";
function onLoad() {
	var dt = new Date();

	var year = dt.getFullYear();
	var month = dt.getMonth() + 1;
	var date = dt.getDate();

	var time = year + "-" + month + "-" + date;

	calendar = $calendar("datepick", "white", "white", "preyearHref", "premonthHref", "nextmonthHref", "nextyearHref", time, "getDate");
	var data = [];
	calendar.draw(data);

	var lastDate = getCurrentMonthLastDay();
	year = lastDate.getFullYear();
	month = lastDate.getMonth() + 1;
	date = lastDate.getDate();
	var lastTime = year + "-" + month + "-" + date;

	//跳转至下一个月
	if (time == lastTime) {
		var next = getNextMonth(time);
		dt = new Date(next);

		year = dt.getFullYear();
		month = dt.getMonth() + 1;
		date = dt.getDate();
		time = year + "-" + month + "-" + date;

		calendar = $calendar("datepick", "white", "white", "preyearHref", "premonthHref", "nextmonthHref", "nextyearHref", time, "getDate");
		var data = [];
		calendar.draw(data);
	}
}

function preyearHref() {
	//上一年
	var data = [];
	calendar.preyear().draw(data);

}

function premonthHref() {
	//上一月
	var data = [];
	calendar.premonth().draw(data);
}

function nextyearHref() {
	//下一年
	var data = [];

	calendar.nextyear().draw(data);
}

function nextmonthHref() {
	var data = [];
	//下一月
	calendar.nextmonth().draw(data);
}

function getDate(date) {
	timeLife(date);
}

function timeLife(date) {
	var date1 = new Date();
	var currentDate = date1.getFullYear() + "-" + (date1.getMonth() + 1) + "-" + date1.getDate();
	var currentTime = (date1.getHours() < 10 ? "0" + date1.getHours() : date1.getHours()) + ":" + (date1.getMinutes() < 10 ? "0" + date1.getMinutes() : date1.getMinutes());

	//当前日期是否大于选定日期
	var _date1 = parseDateToNumber(date) - parseDateToNumber(currentDate);
	if (_date1 <= 0) {
		//当天
		Family.Toast.Show("亲，该时间已经无法预定了哦！请选择其他时间预定");
		return;
	} else {
		//第二天
		var tm = new Date(date1.getFullYear(), date1.getMonth(), date1.getDate() + 1);
		var secondDay = tm.getFullYear() + "-" + (tm.getMonth() + 1) + "-" + tm.getDate();
		if (_date1 > 0 && date == secondDay) {
			if (parseTimeToNumber(currentTime) - parseTimeToNumber(netTimespan) < 0) {
				timeCallBack(date);
			} else {
				Family.Toast.Show("亲，该时间已经无法预定了哦！请选择其他时间预定");
			}
		} else {
			timeCallBack(date);
		}
	}
}

function timeCallBack(time) {
	try {
		if (window.getParameter("getDate")) {
			var dlg = Util.getWindowById("grouppurchase-netgoods-detail");
			if (dlg) {
				dlg.document.getElementById("listSendDate").innerHTML = time;
			}
			close();
			return;
		}
		open("res:page/grouppurchase/grouppurchase.selectnetgoods.uixml?time=" + time);
	} catch(e) {

	}
}

function parseDateToNumber(date) {
	var times = date.split("-");
	var year = times[0];
	var month = times[1];
	var dt = times[2];
	month = parseInt(month) < 10 ? "0" + month : month;
	dt = parseInt(dt) < 10 ? "0" + dt : dt;
	return Number(year + "" + month + "" + dt);
}

function parseTimeToNumber(date) {
	return Number(date.replace(":", ""));
}


function getCurrentMonthLastDay() {
	var current = new Date();
	var currentMonth = current.getMonth();
	var nextMonth = ++currentMonth;

	var nextMonthDayOne = new Date(current.getFullYear(), nextMonth, 1);

	var minusDate = 1000 * 60 * 60 * 24;

	return new Date(nextMonthDayOne.getTime() - minusDate);
}

function getNextMonth(date) {
	var arr = date.split('-');
	var year = arr[0];
	//获取当前日期的年份
	var month = arr[1];
	//获取当前日期的月份
	var day = arr[2];
	//获取当前日期的日
	var days = new Date(year, month, 0);
	days = days.getDate();
	//获取当前日期中的月的天数
	var year2 = year;
	var month2 = parseInt(month) + 1;
	if (month2 == 13) {
		year2 = parseInt(year2) + 1;
		month2 = 1;
	}
	var day2 = day;
	var days2 = new Date(year2, month2, 0);
	days2 = days2.getDate();
	if (day2 > days2) {
		day2 = days2;
	}
	if (month2 < 10) {
		month2 = '0' + month2;
	}
	if (day2 < 10) {
		day2 = "0" + day2;
	}
	var t2 = year2 + '-' + month2 + '-' + day2;
	return t2;
}
