/**
 *净菜下单
 */
var clientBase;

var familyBase;

var orderId = window.getParameter("orderId");

var totalPrice = 0.00;

//付款方式
var payTypes = [];

//购买信息
var buyInfo = [];

//配送方式
var sendTypes = [];

//购买信息
var goodsInfo = "";

//配送方式 0自提 1送货上面
var sendType = 0;

//付款方式
var payTypeId = "";

//物业公司帐号
var accountId = "";

//支付方向
var direction = "";

//最小配送金额 不足将收取运费
var minAmount = 0.00;

var ownerId = FamilyCache.EmptyId;

var objectId = FamilyCache.EmptyId;

//物业宝余额
var balance = 0.00;

//商品购买描述
var goodsDesc = "";

function onLoad() {
	try {
		totalPrice = 0.00;
		familyBase = FamilyDB.GetFamilyBase();
		clientBase = FamilyDB.GetClientBase();
		var logDatas = FamilyDB.GetOrderLog();
		if (logDatas) {
			for (var i = 0; i < logDatas.length; i++) {
				if (logDatas[i].goodsType == 2) {
					netGoodsId = logDatas[i].id;
				}
			}
		}
		var houseData = FamilyDB.GetOneHouseData(clientBase.id, familyBase.areaId);
		ownerId = houseData ? houseData.ownerId : FamilyCache.EmptyId;
		objectId = houseData ? houseData.objectId : FamilyCache.EmptyId;
		var datas = "method=Online_GetOrderDetail";
		datas += "&orderId=" + orderId;
		datas += "&areaId=" + familyBase.areaId;
		datas += "&type=1";
		datas += "&ownerId=" + ownerId;
		datas += "&objectId=" + objectId;
		datas += "&postUrl=" + FamilyDB.GetPostAddress();
		datas += "&clientId=" + clientBase.id;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("loading").html("正在加载");
				$("body").hide();
				$("footer").hide();
			},
			success : function(rs) {
				$("loading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						netTimespan = data.body.netTimespan;
						//净菜配送时间
						if (data.body.orderInfo.orderStatu > 0) {
							$("titlebar").title = "支付成功";
							$("paysuccess").show();
							lasyOrderDetail(data);
							FamilyDB.DeleteNetGoodsTime();
							FamilyDB.DeleteNetGoods();
							var dlg = Util.getWindowById("grouppurchase-mycookbook");
							if (dlg) {
								dlg.callFunction("renderGoods()");
								dlg.close();
							}
							return;
						}
						renderGoods();
						var clientInfo = data.body.clientInfo;
						balance = clientInfo ? (clientInfo.balance || 0) : 0;

						sendTypes = data.body.sendType;
						if (sendTypes.length == 2) {
							minAmount = parseFloat(sendTypes[1].sendTypes);
						}
						for (var i = 0; i < sendTypes.length; i++) {
							var type = sendTypes[i];
							type.checked = i == 0;
						}
						$("sendList").clear().provide(sendTypes).show();

						payTypes = data.body.payTypes;
						for (var i = 0; i < payTypes.length; i++) {
							var pt = payTypes[i];
							pt.checked = i == 0;
							pt.balanceDisplay = (pt.typeId.toUpperCase() == FamilyPayment.PayTypes.yufukuan.toUpperCase() ? "block" : "none");
							pt.balance = parseFloat(balance).toFixed(2);
						}
						$("paylist").clear().provide(payTypes).show();

						$("list_totalPrice").rcaption = "¥" + totalPrice.toFixed(2);
						$("foot_totalPrice").html("¥" + totalPrice.toFixed(2));

						$("body").show();
						$("footer").show();
					} else {
						$("loading").html("<a href='onLoad()'>加载失败,请重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function(rs) {
				$("loading").html("<a href='onLoad()'>加载失败,请重试</a>");
			}
		});
	} catch(e) {

	}
}

function renderGoods() {
	try {
		var goodsList = FamilyDB.GetNetGoods();
		for (var i = 0; i < goodsList.length; i++) {
			var goods = goodsList[i];
			var item = "";
			if (goods.goodsData) {
				var listData = goods.goodsData;
				for (var j = 0; j < listData.length; j++) {
					var info = listData[j];
					item += '<ediv style="align: left;padding:10 0 10 0;color:#6e6e6e;">' + info.goodsName + '</ediv>';
					item += '<ediv style="align: center;padding:10 0 10 0;color:#6e6e6e;" >¥' + info.goodsPrice + '</ediv>';
					item += '<ediv style="align: right;padding:10 0 10 0;color:#6e6e6e;">x' + info.buyNumber + '</ediv>';
					item += '<br />';
					totalPrice += parseFloat(info.buyNumber) * parseFloat(info.goodsPrice);
					goodsInfo += info.goodsId + "," + info.buyNumber + "," + info.timespan + ",1|";
					goodsDesc += "[" + info.timespan + "]" + info.name + "x" + info.buyNumber + ",";
					buyInfo.push(info);
				}
			}
			goods.item = item;
		}
		$("goodsList").clear().provide(goodsList).show();
	} catch(e) {
	}
}

/**
 *付款方式改变
 */
function changeSendType(id) {
	if (orderId != FamilyCache.EmptyId) {
		return;
	}
	sendType = id;
	$(id).checked = true;
	var price = GetTotalPrice();
	$("foot_totalPrice").html("¥" + price.toFixed(2));
}

function GetTotalPrice() {
	try {
		var price = 0.00;
		for (var i = 0; i < buyInfo.length; i++) {
			var info = buyInfo[i];
			price += parseFloat(info.buyNumber) * parseFloat(info.goodsPrice);
		}
		//邮费
		var freightMoney = 0.00;
		for (var i = 0; i < sendTypes.length; i++) {
			var type = sendTypes[i];
			var dom = $(type.sendId);
			if (dom && dom.checked && parseFloat(type.minAmount) > 0 && price < type.minAmount && parseFloat(type.freightMoney) > 0) {
				freightMoney = parseFloat(type.freightMoney);
				$("freightMoney1") && $("freightMoney1").show();
			} else {
				$("freightMoney1") && $("freightMoney1").hide();
			}
		}
		return price + freightMoney;
	} catch(e) {

	}
}

/**
 *下单
 */
function Order() {
	try {
		for (var i = 0; i < payTypes.length; i++) {
			var data = payTypes[i];
			var dom = $(data.typeId);
			if (dom && dom.checked) {
				payTypeId = data.typeId;
				accountId = data.accountID;
				direction = data.direction;
				break;
			}
		}
		if (orderId == FamilyCache.EmptyId) {
			var datas = "method=Online_GoodsOrder";
			datas += "&areaId=" + familyBase.areaId;
			datas += "&clientId=" + clientBase.id;
			datas += "&goodsInfo=" + goodsInfo;
			datas += "&payTypeId=" + payTypeId;
			datas += "&payForward=" + direction;
			datas += "&sendType=" + sendType;
			datas += "&accountId=" + accountId;
			datas += "&esn=" + DeviceUtil.getEsn();
			Family.DoRequest({
				url : FamilyCache.Onlineurl(),
				data : datas,
				isBlock : true,
				success : function(rs) {
					try {
						var data = Family.ToJSON(rs.responseText);
						if (data && data.response.code == 200) {
							orderId = data.body.orderNumber;
							if (!orderId) {
								Family.Toast.Error("下单失败");
								return;
							}
							var amount = data.body.totalPrice;
							var dlg = Util.getWindowById("shoppingcar");
							if (dlg) {
								dlg.callFunction("onLoad()");
							}
							var params = "&amp;ownerId=" + ownerId;
							params += "&amp;objectId=" + objectId;
							params += "&amp;goodsDesc=" + goodsDesc;
							params += "&amp;isIntegral=1";
							params += "&amp;operId=" + FamilyCache.EmptyId;
							params += "&amp;postUrl=" + FamilyDB.GetPostAddress();
							params += "&amp;onlineUrl=" + FamilyCache.Onlineurl();
							params += "&amp;bankNumber=";
							params += "&amp;isPush=1";
							params += "&amp;pushMsg=您的订单已支付成功！本次支付金额:" + amount + "元";
							params += "&amp;clientId=" + clientBase.id;
							params += "&amp;areaId=" + familyBase.areaId;
							FamilyPayment.OrderPayment({
								type : 1, //支付类型
								orderId : orderId, //订单id
								amount : amount, //支付金额
								desc : "易家园手机APP购物", //订单描述
								accountId : accountId, //物业公司帐号
								payTypeId : payTypeId, //付款方式
								direction : direction, //支付方向
								params : params,
								callback : "onLoad",
								windowId : "payment-order-netgoods",
								balance : balance
							});
						} else {
							Family.Toast.Error("下单失败");
						}
					} catch(e) {

					}
				},
				fail : function(rs) {
					Family.Toast.Error("下单失败");
				}
			});
		} else {
			var price = GetTotalPrice();
			price = price.toFixed(2);
			var params = "&amp;ownerId=" + ownerId;
			params += "&amp;objectId=" + objectId;
			params += "&amp;goodsDesc=" + goodsDesc;
			params += "&amp;isIntegral=1";
			params += "&amp;operId=" + FamilyCache.EmptyId;
			params += "&amp;postUrl=" + FamilyDB.GetPostAddress();
			params += "&amp;onlineUrl=" + FamilyCache.Onlineurl();
			params += "&amp;bankNumber=";
			params += "&amp;isPush=1";
			params += "&amp;pushMsg=您的订单已支付成功！本次支付金额:" + price + "元";
			params += "&amp;clientId=" + clientBase.id;
			params += "&amp;areaId=" + familyBase.areaId;
			FamilyPayment.OrderPayment({
				type : 1, //支付类型
				orderId : orderId, //订单id
				amount : price, //支付金额
				desc : "易家园手机APP购物", //订单描述
				accountId : accountId, //物业公司帐号
				payTypeId : payTypeId, //付款方式
				direction : direction, //支付方向
				params : params,
				callback : "onLoad",
				windowId : "payment-order-netgoods",
				balance : balance
			});
		}
	} catch(e) {
	}
}
