function load() {
	try {
		var params = FamilyCache.GetCache("payment.order.shopcar.datas");
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/payment/order_shopcar.aspx";
		url += params;
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview"
		});
	} catch(e) {

	}
}

/**
 *刷新折扣
 * @param {Object} id
 * @param {Object} money
 */
function refreshDistinct(id, money, name) {
	try {
		var data = FamilyCache.GetCache("payment.order.dinstinct.params");
		if (data) {
			data = ClientUtil.stringToJson(data);
			$("webview").executeScript("refreshDistinct('" + data.discountId + "','" + data.distinctAmount + "','" + data.distinctName + "')");
		}
	} catch(e) {

	}
}

/**
 *刷新优惠券
 */
function refreshTicket() {
	try {
		var data = FamilyCache.GetCache("payment.order.ticket.params");
		$("webview").executeScript("refreshTicket(" + data + ")");
	} catch(e) {
	}
}

/**
 *刷新购物车
 */
function refreshShopCar() {
	try {
		var dlg = PageUtil.getWindowById("shoppingcar");
		if (dlg) {
			dlg.callFunction("load()");
		}
	} catch(e) {

	}
}
