/*
 外卖
 */
var orderId = FamilyCache.EmptyId;
var familyBase;
var clientBase;
//付款方式
var payTypes = [];
var totalPrice = 0.00;
//物业宝余额
var balance = 0.00;

//付款方式
var payTypeId = "";

//物业公司帐号
var accountId = "";

//支付方向
var direction = "";

//商品简单描述
var goodsDesc = "";
function onLoad() {
	try {
		totalPrice = 0.00;
		familyBase = FamilyDB.GetFamilyBase();
		clientBase = FamilyDB.GetClientBase();
		var datas = "method=Online_GetOrderDetail";
		datas += "&orderId=" + orderId;
		//小区id改为门店id
		datas += "&areaId=" + (window.getParameter("storeId") || FamilyCache.EmptyId);
		datas += "&type=2";
		datas += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("footer").hide();
				$("loading").html("正在加载");
			},
			success : function(rs) {
				$("loading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var orderInfo = data.body.orderInfo;
						if (orderInfo.orderStatu > 0) {
							//$("body").hide();
							//$("footer").hide();
							//lasyOrderDetail(data);
							//$("include_paysuccess").show();
							//$("titlebar").title = "支付成功";
							var dlg = Util.getWindowById("waimain-order-sure");
							if (dlg) {
								dlg.close();
							}
							dlg = Util.getWindowById("waimai-order");
							if (dlg) {
								dlg.close();
							}
							dlg = Util.getWindowById("waimai");
							if (dlg) {
								dlg.close();
							}
							open("res:page/user/user.waimai.detail.uixml?orderId=" + orderId, false);
							return;
						}
						var payPrice = parseFloat(window.getParameter("payPrice")).toFixed(2);
						$("list_totalPrice").rcaption = "￥" + payPrice;

						var orderInfo = ClientUtil.stringToJson(FamilyCache.GetCache("family.waimai.order"));
						$("buyInfo").clear().provide(orderInfo);

						var clientInfo = data.body.clientInfo;
						balance = clientInfo ? (clientInfo.balance || 0) : 0;

						payTypes = data.body.payTypes;
						for (var i = 0; i < payTypes.length; i++) {
							var pt = payTypes[i];
							pt.checked = i == 0;
							pt.balanceDisplay = pt.typeId.toUpperCase() == FamilyPayment.PayTypes.yufukuan.toUpperCase() ? "block" : "none";
							pt.balance = parseFloat(balance).toFixed(2);
						}
						$("paylist").clear().provide(payTypes).show();

						$("foot_totalPrice").html("¥" + payPrice);
						$("body").show();
						$("footer").show();
					} else {
						$("loading").html("<a href='onLoad()'>加载失败，点击重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function() {
				$("loading").html("<a href='onLoad()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

function Order() {
	try {
		for (var i = 0; i < payTypes.length; i++) {
			var data = payTypes[i];
			var dom = $(data.typeId);
			if (dom && dom.checked) {
				payTypeId = data.typeId;
				accountId = data.accountID;
				direction = data.direction;
				break;
			}
		}
		var orderInfo = ClientUtil.stringToJson(FamilyCache.GetCache("family.waimai.order"));
		var buyInfo = "";
		if (orderInfo) {
			for (var i = 0; i < orderInfo.length; i++) {
				var info = orderInfo[i];
				buyInfo += info.goodsId + "," + info.goodsName + "," + info.goodsPrice + "," + info.buyNumber + "|";
				goodsDesc += info.goodsName + "x" + info.buyNumber + ",";
			}
		}

		if (orderId == FamilyCache.EmptyId) {
			var datas = "method=Online_CreateSellerOrder";
			datas += "&areaId=" + familyBase.areaId;
			datas += "&clientId=" + clientBase.id;
			datas += "&totalPrice=" + totalPrice;
			datas += "&buyInfo=" + buyInfo;
			datas += "&payTypeId=" + payTypeId;
			datas += "&payForward=" + direction;
			datas += "&accountId=" + accountId;
			datas += "&type=1";
			datas += "&esn=" + DeviceUtil.getEsn();
			datas += "&address=" + window.getParameter("address");
			datas += "&time=" + window.getParameter("selectTimeText");
			Family.DoRequest({
				url : FamilyCache.Onlineurl(),
				data : datas,
				isBlock : true,
				success : function(rs) {
					try {
						var data = Family.ToJSON(rs.responseText);
						if (data && data.response.code == 200) {
							orderId = data.body.orderNumber;
							if (!orderId) {
								Family.Toast.Error("下单失败");
								return;
							}
							var amount = data.body.totalPrice;

							var params = "";
							params += "&amp;goodsDesc=" + goodsDesc;
							params += "&amp;isIntegral=1";
							params += "&amp;operId=" + FamilyCache.EmptyId;
							params += "&amp;postUrl=" + FamilyDB.GetPostAddress();
							params += "&amp;onlineUrl=" + FamilyCache.Onlineurl();
							params += "&amp;bankNumber=";
							params += "&amp;isPush=1";
							params += "&amp;pushMsg=您的订单已支付成功！本次支付金额:" + amount + "元";
							params += "&amp;clientId=" + clientBase.id;
							params += "&amp;areaId=" + familyBase.areaId;
							FamilyPayment.OrderPayment({
								type : 1, //支付类型
								orderId : orderId, //订单id
								amount : amount, //支付金额
								desc : "易家园手机APP购物", //订单描述
								accountId : accountId, //物业公司帐号
								payTypeId : payTypeId, //付款方式
								direction : direction, //支付方向
								params : params,
								callback : "onLoad",
								windowId : "payment-order-waimai",
								balance : balance
							});
						} else {
							Family.Toast.Error("下单失败");
						}
					} catch(e) {

					}
				},
				fail : function(rs) {
					Family.Toast.Error("下单失败");
				}
			});
		} else {
			var params = "";
			params += "&amp;goodsDesc=" + window.getParameter("goodsName") + "x" + window.getParameter("buyNumber");
			params += "&amp;isIntegral=1";
			params += "&amp;operId=" + FamilyCache.EmptyId;
			params += "&amp;postUrl=" + FamilyDB.GetPostAddress();
			params += "&amp;onlineUrl=" + FamilyCache.Onlineurl();
			params += "&amp;bankNumber=";
			params += "&amp;isPush=1";
			params += "&amp;pushMsg=您的订单已支付成功！本次支付金额:" + totalPrice + "元";
			params += "&amp;clientId=" + clientBase.id;
			params += "&amp;areaId=" + familyBase.areaId;
			FamilyPayment.OrderPayment({
				type : 1, //支付类型
				orderId : orderId, //订单id
				amount : totalPrice, //支付金额
				desc : "易家园手机APP购物", //订单描述
				accountId : accountId, //物业公司帐号
				payTypeId : payTypeId, //付款方式
				direction : direction, //支付方向
				params : params,
				callback : "onLoad",
				windowId : "payment-order-tuangou",
				balance : balance
			});
		}
	} catch(e) {
	}

}
