var clientBase;
var familyBase;
var areaId = FamilyCache.EmptyId;
var clientId = FamilyCache.EmptyId;
var pattern = 0;
var esareaId = FamilyCache.EmptyId;
var propertyKey = "";
var propertyId = FamilyCache.EmptyId;
function load() {
	try {
		clientBase = FamilyDB.GetClientBase();
		familyBase = FamilyDB.GetFamilyBase();
		areaId = ( familyBase ? familyBase.areaId : FamilyCache.EmptyId);
		clientId = ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		pattern = parseInt( familyBase ? familyBase.pattern : 0);
		esareaId = ( familyBase ? familyBase.esareaId : FamilyCache.EmptyId);
		propertyKey = ( familyBase ? familyBase.propertyKey : "");
		propertyId = ( familyBase ? familyBase.propertyId : FamilyCache.EmptyId);
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/property/property.aspx";
		url += "?areaId=" + areaId;
		url += "&clientId=" + clientId;
		url += "&pattern=" + pattern;
		url += "&esareaId=" + esareaId;
		url += "&propertyKey=" + propertyKey;
		url += "&targetIndex=" + window.getParameter("targetIndex");
		Family.CreateWebView({
			container : "body",
			url : url,
			className : "webview",
			id : "webview"
		});
	} catch(e) {
	}
}

function refreshCaseType() {
	try {
		var data = FamilyCache.GetCache("cache.case.selectTypeData");
		if (data) {
			data = ClientUtil.stringToJson(data);
			$("webview").executeScript("refreshCaseType('" + data.id + "','" + data.name + "')");
		}

	} catch(e) {

	}
}

/**
 *保存报事
 */
function SaveCase() {
	try {
		var cacheSubmitData = FamilyCache.GetCache("property.case.submidata");
		
		if (!cacheSubmitData) {
			return;
		}
		cacheSubmitData = ClientUtil.stringToJson(cacheSubmitData);
		var url = FamilyDB.GetPostAddress();
		url = url.substring(0, url.lastIndexOf("/")).replace("onlineservice", "wapservice") + "/SaveCase";
		Family.DoFormRequest({
			url : url,
			data : cacheSubmitData,
			isBlock : true,
			timeout : 60 * 10,
			success : function(rs) {
				try {
					var data = Family.ToJSON(FamilyUtils.GetJsonBody(rs.responseText));
					if (data && data.response.code == 200) {
						if (data.body.state == "OK") {
							Family.Toast.Show("提交成功");
							close();
						} else {
							Family.Toast.Error("提交失败");
						}
					} else {
						Family.Toast.Error("提交失败");
					}
				} catch(e) {

				}
			},
			fail : function(rs) {
				Family.Toast.Error("提交失败");
			}
		});
	} catch(e) {
	}
}

function refreshCharge() {
	try {
		$("webview").executeScript("refreshCharge();");
	} catch(e) {

	}

}

function refreshPreCharge(){
	try {
		$("webview").executeScript("refreshPreCharge();");
	} catch(e) {

	}
}

function caseHistory() {
	if (pattern == 0) {
		FamilyCache.ShowLoginWindow();
		return;
	}
	if (!FamilyDB.CheckClientObjectDatas(true)) {
		FamilyCache.ShowBindingWindow();
		return;
	}
	open("res:page/property/property.repaire.history.uixml");
}

function chargeHistory() {
	if (pattern == 0) {
		FamilyCache.ShowLoginWindow();
		return;
	}
	if (!FamilyDB.CheckClientObjectDatas(true)) {
		FamilyCache.ShowBindingWindow();
		return;
	}
	open("res:page/property/property.charge.history.uixml");
}
