function load() {
	try {
		var clientBase = FamilyDB.GetClientBase();
		var familyBase = FamilyDB.GetFamilyBase();
		var hasRegisterTicket = window.getParameter("hasRegisterTicket");
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/register/register_binding_house.aspx";
		url += "?clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		url += "&areaId=" + (familyBase.areaId || FamilyCache.EmptyId);
		url += "&esareaId=" + (familyBase.esareaId || FamilyCache.EmptyId);
		url += "&propertyKey=" + (familyBase.propertyKey || "");
		url += "&areaName=" + encodeURI((familyBase.areaName || ""));
		if (hasRegisterTicket) {
			//是否含有注册赠送的优惠券
			url += "&hasRegisterTicket=" + hasRegisterTicsket;
		}
		//是否跳转到首页
		url += "&isTurnMain=" + (window.getParameter("isTurnMain") || "");
		url += "&phone=" + (window.getParameter("phone") || "");
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview"
		});
	} catch(e) {

	}
}

function refreshArea() {
	try {
		var data = FamilyCache.GetCache("cache.area.callback");
		$("webview").executeScript("refreshArea(" + data + ")");
	} catch(e) {

	}
}

function refreshHouse() {
	try {
		var data = FamilyCache.GetCache("cache.house.binding.datas");
		$("webview").executeScript("refreshHouse(" + data + ")");
	} catch(e) {

	}
}

function setClientInfo() {
	try {
		var cacheDatas = ClientUtil.stringToJson(FamilyCache.GetCache("cache.binding.datas"));
		FamilyDB.SetLoginInfo(FamilyCache.GetCache("cache.binding.datas"));
		FamilyDB.SetOwnerHouse(cacheDatas.body.clientId, cacheDatas.body.houseDatas);
		var dlg = PageUtil.getWindowById(window.getParameter("windowId"));
		var callback = window.getParameter("callback");
		if (dlg && callback) {
			dlg.callFunction(callback + "()");
		}
	} catch(e) {

	}
}
