/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var pageSize = 15;
var clientBase;

var forums_totalPage = 0;
var forums_currentPage = 1;
function onForumsLoad() {
	try {
		clientBase = FamilyDB.GetClientBase();
		var datas = "method=Online_GetMyForums";
		datas += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.emptyId);
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + forums_currentPage;

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("forumloading").html("正在加载");
			},
			success : function(rs) {
				$("forumloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						forums_totalPage = data.body.totalPage;
						var forumDatas = data.body.forumDatas;
						if (forums_currentPage == 1 && forumDatas.length == 0) {
							$("forumloading").html("无记录");
							return;
						}
						for (var i = 0; i < forumDatas.length; i++) {
							var forum = forumDatas[i];
							var images = forum.images;
							forum.imgList = formateImg(images);
						}
						$("forumsList").provide(forumDatas).show();
					} else {
					}
				} catch(e) {
				}
			},
			fail : function() {
				$("forumloading").html("<a href='onForumsLoad()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

/**
 *论坛信息滚动到底部
 */
function onForumsScrollBottom() {
	try {
		forums_currentPage++;
		if (forums_currentPage <= forums_totalPage) {
			onForumsLoad();
		}
	} catch(e) {

	}
}

var isSaleLoad = false;
function onSaleLoad() {
	if (isSaleLoad) {
		return;
	}
	saleLoad();
}

var sale_currentPage = 1;
var sale_totalPage = 0;
function saleLoad() {
	try {
		isSaleLoad = true;
		var datas = "method=Online_GetMyTrading";
		datas += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.emptyId);
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + sale_currentPage;
		datas += "&type=1";
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("saleloading").html("正在加载");
			},
			success : function(rs) {
				$("saleloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						sale_totalPage = data.body.totalPage;
						var forumDatas = data.body.forumDatas;
						if (sale_currentPage == 1 && forumDatas.length == 0) {
							$("forumloading").html("无记录");
							return;
						}
						for (var i = 0; i < forumDatas.length; i++) {
							var forum = forumDatas[i];
							var images = forum.images;
							forum.imgList = formateImg(images);
						}
						$("saleList").provide(forumDatas).show();
					} else {
					}
				} catch(e) {
				}
			},
			fail : function(rs) {
				$("saleloading").html("<a href='saleLoad()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

/**
 *转让滚动到底部 
 */
function onSaleScrollBottom() {
	try {
		sale_currentPage++;
		if (sale_currentPage <= sale_totalPage) {
			saleLoad();
		}
	} catch(e) {

	}
}




var isBuyLoad = false;
function onBuyLoad() {
	if (isBuyLoad) {
		return;
	}
	buyLoad();
}

var buy_currentPage = 1;
var buy_totalPage = 0;
function buyLoad() {
	try {
		isBuyLoad = true;
		var datas = "method=Online_GetMyTrading";
		datas += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.emptyId);
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + sale_currentPage;
		datas += "&type=2";
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("buyloading").html("正在加载");
			},
			success : function(rs) {
				$("buyloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						buy_totalPage = data.body.totalPage;
						var forumDatas = data.body.forumDatas;
						if (buy_currentPage == 1 && forumDatas.length == 0) {
							$("forumloading").html("无记录");
							return;
						}
						for (var i = 0; i < forumDatas.length; i++) {
							var forum = forumDatas[i];
							var images = forum.images;
							forum.imgList = formateImg(images);
						}
						$("buyList").provide(forumDatas).show();
					} else {
					}
				} catch(e) {
				}
			},
			fail : function(rs) {
				$("buyloading").html("<a href='buyLoad()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

/**
 *转让滚动到底部 
 */
function onBuyScrollBottom() {
	try {
		buy_currentPage++;
		if (buy_currentPage <= buy_totalPage) {
			buyLoad();
		}
	} catch(e) {

	}
}




/**
 *格式化图片
 * @param {Object} images
 */
function formateImg(images) {
	var imgList = "";
	for (var j = 0; j < images.length; j++) {
		var imgUrl = FamilyCache.Onlineimgurl() + images[j].url;
		imgList += '<img src="' + imgUrl + '" cached="true" class="img" defaultsrc="res:image/icon/lasy_img.png" />';
	}
	return imgList;
}

/**
 *删除信息
 */
var cache_deleteId = "";
var cache_deleteType = "";
function deleteInfo(id, type) {
	cache_deleteId = id;
	cache_deleteType = type;
	confirm("您确定要删除此信息？", sureDelete);
	return;
}

function sureDelete() {
	try {
		var datas = "method=Online_DeleteMyPublicInfo";
		datas += "&id=" + cache_deleteId;
		datas += "&type=" + cache_deleteType;

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						if (data.body.state == "OK") {
							Family.Toast.Show("已删除");
							$(cache_deleteId) && $(cache_deleteId).hide();
						}
					} else {
						Family.Toast.Show("删除失败");
					}
				} catch(e) {
					Family.Toast.Show("删除失败");
				}
			},
			fail : function() {
				Family.Toast.Show("删除失败");
			}
		});
	} catch(e) {
	}
}
