/**
 *添加图片
 */
var imgArray = [];
var imgCount = 9;
function addCameraImg() {
	if (imgArray.length >= imgCount) {
		Family.Toast.Show("最多上传" + imgCount + "张");
		return;
	}
	Family.Camera({
		pwidth : FamilySetting.Pwidth,
		callback : function(path) {
			addImg(path);
		}
	});
}

function addPictureImg() {
	if (imgArray.length >= imgCount) {
		Family.Toast.Show("最多上传" + imgCount + "张");
		return;
	}
	Family.ImageChoice({
		pwidth : FamilySetting.Pwidth,
		maxnums : imgCount,
		callback : function(paths) {
			addImg(paths);
		}
	});
}

function addImg() {
	if ( typeof arguments[0] == "string") {
		var img = {
			"url" : arguments[0],
			"id" : Family.NewId()
		};
		imgArray.push(img);
		var img = "<img class='img' id='" + img.id + "' src='" + img.url + "' />";
		$("imgDiv").innerHTML += img;
	} else {
		for (var i = 0; i < arguments[0].length; i++) {
			var img = {
				"url" : arguments[0][i],
				"id" : Family.NewId()
			};
			imgArray.push(img);
			var img = "<img class='img' id='" + img.id + "' src='" + img.url + "' />";
			$("imgDiv").innerHTML += img;
		}
	}
}

function Save() {
	try {
		var content = $("content").val();
		if (!content) {
			Family.Toast.Show("请输入您要发表的内容");
			return;
		}
		var clientBase = FamilyDB.GetClientBase();
		var familyBase = FamilyDB.GetFamilyBase();
		var clientId = clientBase ? clientBase.id : FamilyCache.EmptyId;
		var houseData = FamilyDB.GetOwnerHouse(clientId);
		var house = houseData ? houseData[0] : {};
		var datas = [];
		datas.push({
			"type" : "0",
			"name" : "method",
			"value" : "Online_WriteForum"
		});
		datas.push({
			"type" : "0",
			"name" : "clientId",
			"value" : clientId
		});
		datas.push({
			"type" : "0",
			"name" : "areaId",
			"value" : (familyBase.areaId || FamilyCache.EmptyId)
		});
		datas.push({
			"type" : "0",
			"name" : "content",
			"value" : content
		});
		for (var i = 0; i < imgArray.length; i++) {
			var img = imgArray[i];
			datas.push({
				"type" : "1",
				"name" : "file",
				"value" : img.url
			});
		}
		Family.DoFormRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			timeout : 60 * 10,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						if (data.body.state == "OK") {
							Family.Toast.Show("发表成功");
							close();
						}
					} else {
						Family.Toast.Error("发表失败，请重试");
					}
				} catch(e) {

				}

			},
			fail : function(rs) {
				Family.Toast.Error("发表失败，请重试");
			}
		});
	} catch(e) {
	}
}
