/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var tradingId = window.getParameter("tradingId") || window.getPushParameter("tradingId");
var type = 0;
var clientBase;
var cache_image = [];
var fornumClientId = FamilyCache.EmptyId;
function onLoad() {
	try {
		type = window.getParameter("type");
		$("titlebar").title = type == 0 ? "详情" : (type == 1 ? "转让详情" : "求购详情");
		$("publicUser").icon = FamilyCache.Onlineimgurl() + window.getParameter("clientId") + ".jpg";
		$("publicUser").caption = (window.getParameter("nickName"));
		$("publicUser").sndcaption = window.getParameter("writeTime");
		$("tradingcontent").html(window.getParameter("content"));
		$("price").html("¥" + window.getParameter("price"));
		$("isOO").html(window.getParameter("isOO"));
		var linkMan = window.getParameter("linkMan");
		var linkPhone = window.getParameter("linkPhone");
		if (linkMan) {
			$("link").caption = "联系人:" + linkMan;
			$("link").href = "tel('" + linkPhone + "')";
			$("link").show();
		}
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetTradingDetail&tradingId=" + tradingId + "&imageUrl=" + FamilyCache.Onlineimgurl(),
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var info = data.body.tradingInfo;
						fornumClientId = info.clientId;
						$("titlebar").title = info.type == 1 ? "转让详情" : "求购详情";
						$("publicUser").icon = FamilyCache.Onlineimgurl() + info.clientId + ".jpg";
						$("publicUser").caption = (info.nickName);
						$("publicUser").sndcaption = (info.writeTime);
						$("tradingcontent").html(info.content);
						$("price").html("¥" + info.price);
						$("isOO").html(info.isOO);
						var linkMan = info.linkMan;
						var linkPhone = info.linkPhone;
						if (linkMan) {
							$("link").caption = "联系人:" + linkMan;
							$("link").href = "tel('" + linkPhone + "')";
							$("link").show();
						}

						var imgList = data.body.imgList;
						cache_image = imgList;
						$("images").provide(imgList).show();
					}
				} catch(e) {

				}

			}
		});
		clientBase = FamilyDB.GetClientBase();
		$("content").prompt = clientBase ? "给他留言" : "登陆后才能发表留言";
		LoadComments();
	} catch(e) {
	}
}

/**
 *加载评论
 */
var pageSize = 30;
var currentPage = 1;
var totalPage = 0;
function LoadComments() {
	try {
		var clientId = clientBase ? clientBase.id : FamilyCache.EmptyId;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetForumComments&forumId=" + tradingId + "&clientId=" + clientId + "&pageSize=" + pageSize + "&currentPage=" + currentPage,
			onComplete : function() {
				$("loading").html("<div class='loading'>留言加载中</div>");
			},
			success : function(rs) {
				$("loading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						totalPage = data.body.totalPage;
						var commentsDatas = data.body.commentsDatas;
						for (var i = 0; i < commentsDatas.length; i++) {
							commentsDatas[i].userImg = FamilyCache.Onlineimgurl() + commentsDatas[i].clientId + ".jpg";
						}
						$("commentlist").provide(commentsDatas).show();
						currentPage++;
						if (currentPage <= totalPage) {
							$("loading").html("<div href='LoadComments()' class='loading'>点击加载更多</div>");
						}
					} else {
						$("loading").html("<div href='LoadComments()' class='loading'>留言加载失败，点击重试</div>");
					}
				} catch(e) {
				}

			},
			fail : function(rs) {
				$("loading").html("<div href='LoadComments()' class='loading'>留言加载失败，点击重试</div>");
			}
		});
	} catch(e) {
	}
}

/***
 *
 */
function writeComment() {
	try {
		if (!clientBase) {
			Family.Toast.Show("登录后才能回复");
			return;
		}
		var content = $("content").val();
		if (!content) {
			Family.Toast.Show("请输入回复内容");
			return;
		}
		var clientId = clientBase ? clientBase.id : FamilyCache.EmptyId;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_WriteComment&forumId=" + tradingId + "&clientId=" + clientId + "&content=" + content,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						if (data.body.state != "OK") {
							Family.Toast.Show("回复失败，请重试");
							return;
						}
						Family.Toast.Show("回复成功");
						var newcomments = [];
						var commentInfo = {
							"userImg" : FamilyCache.Onlineimgurl() + clientBase.id + ".jpg",
							"nickName" : clientBase.nickName,
							"writeTime" : "刚刚",
							"content" : $("content").val()
						};
						newcomments.push(commentInfo);
						$("newcomment").provide(newcomments).show();
						$("content").val("");
						notifyClient();
					} else {
						Family.Toast.Show("回复失败，请重试");
					}
				} catch(e) {

				}
			},
			fail : function() {
				Family.Toast.Show("回复失败，请重试");
			}
		});
	} catch(e) {

	}
}

function viewImages() {
	try {
		if (cache_image.length > 0) {
			var datas = [];
			for (var i = 0; i < cache_image.length > 0; i++) {
				datas.push({
					"src" : "directurl:" + cache_image[i].url
				});
			}
			var config = {
				data : datas
			};
			ClientUtil.openImageList(config);
		}
	} catch(e) {

	}
}

function tel(phone) {
	if (!phone) {
		Family.Toast.Show("抱歉,此人没有留下手机号码");
		return;
	}
	PhoneUtil.tel(phone);
}

/**
 *推送
 */
function notifyClient() {
	try {
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_PushTrading&pushUrl=" + FamilyCache.Pushurl() + "&tradingId=" + tradingId + "&reciveClientId=" + fornumClientId + "&msg=网友:" + (clientBase.nickName || "") + "回复了您的帖子，点击查看详情",
			success : function(rs) {
			},
			fail : function(rs) {
			}
		});
	} catch(e) {

	}
}
