/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */

function onLoad() {
	try {
		var clientBase = FamilyDB.GetClientBase();
		var loginName = clientBase ? clientBase.nickName : "";
		$("loginName").val(loginName);
	} catch(e) {

	}
}

function update() {
	try {
		var loginName = $("loginName").val();
		if (!loginName) {
			Family.Toast.Show("请输入新昵称");
			$("loginName").setFocus();
			return;
		}
		if (loginName.length > 20) {
			Family.Toast.Show("帐号长度超出限制");
			$("loginName").setFocus();
			return;
		}
		var clientBase = FamilyDB.GetClientBase();
		var datas = "method=Online_UpdateAccountLoginName";
		datas += "&clientId=" + clientBase.id;
		datas += "&loginName=" + loginName;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						FamilySetting.SetLoginInfo(rs.responseText);
						Family.Toast.Show("修改成功");
						close();
					} else {
						Family.Toast.Error("操作失败，请稍后重试");
					}
				} catch(e) {
				}
			},
			fail : function() {
				Family.Toast.Error("操作失败，请稍后再试");
			}
		});
	} catch(e) {
	}
}
