/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
function next() {
	try {
		var phone = $("phone").val();
		if (!phone) {
			Family.Toast.Show("请输入当前帐号绑定的手机号码");
			$("phone").setFocus();
			return;
		}
		var clientBase = FamilyDB.GetClientBase();
		var datas = "method=Online_ValidateAccountPhone";
		datas += "&clientId=" + clientBase.id;
		datas += "&phone=" + phone;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var validateResult = data.body.validateResult;
						var sendResult = data.body.sendResult;
						if (validateResult == 0) {
							Family.Toast.Show("手机号码不匹配，请重新输入");
							return;
						}
						if (sendResult != "OK") {
							Family.Toast.Show("短信验证码发送失败，请稍后重试");
							return;
						}
						Family.Toast.Show("短信验证码已发送，请查收");
						$("div_next").hide();
						$("div_update").show();
					} else {
						Family.Toast.Error("操作失败，请稍后重试");
					}
				} catch(e) {

				}
			},
			fail : function() {
				Family.Toast.Error("操作失败，请稍后重试");
			}
		});
	} catch(e) {

	}
}

function update() {
	try {
		var pwd1 = $("pwd1").val();
		var pwd2 = $("pwd2").val();
		var code = $("code").val();
		if (!pwd1) {
			Family.Toast.Show("请输入新支付密码");
			$("pwd1").setFocus();
			return;
		}
		if (!/^[0-9]+$/.test(pwd1)) {
			Family.Toast.Show("支付密码格式错误,只能输入数字");
			$("pwd1").setFocus();
			return;
		}
		if (!pwd2) {
			Family.Toast.Show("请再次输入新支付密码");
			$("pwd2").setFocus();
			return;
		}
		if (pwd1 != pwd2) {
			Family.Toast.Show("两次支付密码输入不一致，请修改");
			return;
		}
		if (!code) {
			Family.Toast.Show("请输入短信验证码");
			$("code").setFocus();
			return;
		}
		var clientBase = FamilyDB.GetClientBase();
		var datas = "method=Online_UpdateAccountPaymentpwd";
		datas += "&clientId=" + clientBase.id;
		datas += "&pwd=" + pwd1;
		datas += "&code=" + code;
		datas += "&phone=" + $("phone").val();
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var validateResult = data.body.validateResult;
						if (validateResult == 0) {
							Family.Toast.Show("修改失败，短信验证码错误");
							return;
						}
						FamilySetting.SetLoginInfo(rs.responseText);
						Family.Toast.Show("修改成功");
						close();
					} else {
						Family.Toast.Error("操作失败，请稍后重试");
					}
				} catch(e) {
				}
			},
			fail : function() {
				Family.Toast.Error("操作失败，请稍后重试");
			}
		});
	} catch(e) {

	}

}
