var orderId = window.getParameter("orderId");
function onLoad() {
	try {
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetOrderDetail&orderId=" + orderId + "&areaId=" + FamilyCache.EmptyId + "&type=1",
			onComplete : function() {
				$("loading").html("正在加载");
			},
			success : function(rs) {
				$("loading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var orderInfo = data.body.orderInfo;
						//0：020 1：商家团购，2：上门服务 3：积分兑换 4:预存充值,5:交物业费,6 活动赠与
						var orderType = orderInfo.orderType;

						if (orderInfo) {
							var buyInfo = orderInfo.buyInfo;
							if (buyInfo) {
								var goodsList = "";
								for (var i = 0; i < buyInfo.length; i++) {
									var buy = buyInfo[i];
									if (orderType != 5) {
										goodsList += '<listitem class="u-b-list" rcaption="x' + buy.buynumber + '" type="oneline" caption="' + buy.name + '"></listitem>';
									} else if (orderType == 5) {
										var items = buy.name.split("#");
										var month = items[0] || "";
										var objectName = items[1] || "";
										var project = items[2] || "";
										goodsList += '<listitem type="twoline" class="u-b-list" caption="' + month + objectName + '" rcaption="' + buy.price + '" sndcaption="' + project + '"></listitem>';
									}
								}
								$("buyInfo").html(goodsList);
							}

							$("orderNumber").html(orderInfo.orderNumber || "");
							$("totalPrice").html(orderInfo.totalPrice || "");
							$("payPrice").html(orderInfo.payMoney || "");
							$("payType").html(orderInfo.payType || "");
							$("payDate").html(orderInfo.payDate || "");
							$("orderDate").html(orderInfo.orderDate || "");

							$("body").show();
							$("footer").show();
						}
					} else {
						$("loading").html("<a href='onLoad()'>加载失败,请重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function() {
				$("loading").html("<a href='onLoad()'>加载失败,请重试</a>");
			}
		});
	} catch(e) {

	}
}
