function load() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		var url = "res:page/user/user.new.html";
		url += "?areaId=" + ( familyBase ? familyBase.areaId : FamilyCache.EmptyId);
		url += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		url += "&pattern=" + (FamilyDB.CheckPattern() ? 0 : 1);
		url += "&propertyKey=" + ( familyBase ? familyBase.propertyKey : "");
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview"
		});
	} catch(e) {
	}
}

/**
 *上传头像
 */
function uploadImg(path) {
	try {
		var clientBase = FamilyDB.GetClientBase();
		var datas = [];
		datas.push({
			"type" : "0",
			"name" : "method",
			"value" : "Online_UploadUserImg"
		});
		datas.push({
			"type" : "0",
			"name" : "clientId",
			"value" : ( clientBase ? clientBase.id : FamilyCache.EmptyId)
		});
		datas.push({
			"type" : "1",
			"name" : "file",
			"value" : path
		});
		Family.DoFormRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			timeout : 60 * 10,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						if (data.body.state != "OK") {
							Family.Toast.Show("上传失败");
							return;
						}
						$("webview").executeScript("loadHead()");
					} else {
						Family.Toast.Error("上传失败，请重试");
					}
				} catch(e) {

				}

			},
			fail : function() {
				Family.Toast.Error("上传失败，请重试");
			}
		});
	} catch(e) {

	}
}

///**
//*切换帐号
//*/
function changeAccount() {
	try {
		var dlg = PageUtil.getWindowById("login");
		if (dlg) {
			PageUtil.goHtmlPageById('login');
		} else {
			open("res:page/login.uixml?autoLogin=false");
		}
	} catch(e) {

	}
}
