var clientBase;
var familyBase;

$("#page_article").on("articleload", function() {
	$("#divuser").click(function(event) {
		event.stopPropagation();
	});
	clientBase = FamilyDB.GetClientBase();
	familyBase = FamilyDB.GetFamilyBase();
	loadUserInfo();

	//待付款
	$("#grid_waitpay").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.order.waitpay.uixml");
		return false;
	});

	//待收获
	$("#grid_waitrecive").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.order.waitrecive.uixml");
		return false;
	});

	//待评论
	$("#grid_waitcomment").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.order.waipcomment.uixml");
		return false;
	});

	//退货
	$("#grid_tuihuo").tap(function() {
		Family.Toast.Show("此功能正在建设中");
		return false;
	});

	//全部订单
	$("#a_myorder").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.order.allorder.uixml");
		return false;
	});

	//用户协议
	$("#t_usercontuct").tap(function() {
		$native.openExMobiPage("res:page/user/t.usercontuct.uixml");
		return false;
	});

	//新会员注册
	$("#t_userregister").tap(function() {
		$native.openExMobiPage("res:page/user/t.userregister.uixml");
		return false;
	});

	//退换货规则
	$("#t_userback").tap(function() {
		$native.openExMobiPage("res:page/user/t.userback.uixml");
		return false;
	});

	//关于易家园
	$("#t_userabout").tap(function() {
		$native.openExMobiPage("res:page/user/t.userabout.uixml");
		return false;
	});

	//物业宝充值
	$("#t_wuyebao").tap(function() {
		if (!isAlowChongzhi) {
			Family.Toast.Show("未开通充值服务");
			return;
		}
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.wuyebao.chongzhi.uixml");
		return false;
	});

	//我的账单
	$("#t_bill").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.bill.uixml");
		return false;
	});

	//我的付款码
	$("#t_fukuanma").tap(function() {
		$native.openExMobiPage("res:page/user/user.fukuanma.uixml");
		return false;
	});

	//积分
	$("#a_integral").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.integral.uixml");
		return false;
	});

	//余额
	$("#a_balance").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.bill.uixml");
		return false;
	});

	//我的账户
	$("#div_account").tap(function() {
		if (!clientBase) {
			return;
		}
		$native.openExMobiPage("res:page/user/user.account.uixml");
		return false;
	});

	$("#imghead").tap(function() {
		var ownerInfo = FamilyDB.GetLoginInfo();
		if (!ownerInfo) {
			$native.openExMobiPage("res:page/login.uixml");
			return;
		}

		A.Popup.actionsheet([{
			text : '拍照',
			handler : function() {
				Family.Camera({
					pwidth : FamilySetting.Pwidth,
					iscrop : true,
					callback : function(path) {
						uploadImg(path);
					}
				});
			}
		}, {
			text : '从相册选择',
			handler : function() {
				Family.SelectCameraPhoto({
					pwidth : FamilySetting.Pwidth,
					iscrop : true,
					callback : function(path) {
						uploadImg(path);
					}
				});
			}
		}]);
		return false;
	});
});

document.addEventListener("onstart", function() {
	setTimeout(function() {
		loadOrderInfo();
	}, 200);
});

function imgclick(event) {

	event.stopPropagation();
}

/**
 *加载用户信息
 */
var clientId = "";
var nickName = "";
//是否允许充值
var isAlowChongzhi = false;
function loadUserInfo() {
	try {
		clientId = (clientBase.id || FamilyCache.EmptyId);
		nickName = clientBase.nickName || "";
		var imgurl = FamilyCache.Onlineimgurl() + clientId + ".jpg";
		var img = "<img id='imghead' src='../../image/user/defaulthead.png' class='user-img' data-source='" + imgurl + "' />";
		$("#divinfo").html(img + nickName);
		A.Element.initLazyload("#divinfo");

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetPropertyAppSet&propertyId=" + (clientBase.propertyId || FamilyCache.EmptyId),
			isBlock : true,
			success : function(rs) {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.state == "OK") {
					isAlowChongzhi = data.setInfo.isCharge == 1;
				}
			},
			fail : function() {

			}
		});
	} catch(e) {
	}
}

/**
 *订单信息
 */
function loadOrderInfo() {
	try {
		var postUrl = FamilyDB.GetPostAddress();
		var ownerId = FamilyCache.EmptyId;
		var objectId = FamilyCache.EmptyId;
		if (clientBase) {
			var houseData = FamilyDB.GetOwnerHouseByArea(clientBase.id, familyBase.areaId);
			ownerId = houseData ? (houseData[0].ownerId) : FamilyCache.EmptyId;
			objectId = houseData ? (houseData[0].objectId) : FamilyCache.EmptyId;
		}
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetClientOrderWait&clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId) + "&ownerId=" + ownerId + "&objectId=" + objectId + "&postUrl=" + postUrl,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var orderDatas = data.body.orderDatas;
						var waitpay = 0;
						var waitrecive = 0;
						var waitcomment = 0;
						for (var i = 0; i < orderDatas.length; i++) {
							var order = orderDatas[i];
							if (order.type == 1) {
								waitpay++;
							} else if (order.type == 2) {
								waitrecive++;
							} else if (order.type == 3) {
								waitcomment++;
							}
						}
						$("#label_waitpay").html(waitpay == 0 ? "" : "<font color='red'>" + waitpay + "</font>");
						$("#label_waitrecive").html(waitrecive == 0 ? "" : "<font color='red'>" + waitrecive + "</font>");
						$("#label_waitcomment").html(waitcomment == 0 ? "" : "<font color='red'>" + waitcomment + "</font>");

						var userMessages = data.body.userMessages;
						if (userMessages) {
							var number = userMessages.length;
							$(".email").text(number).css("display", (number > 0 ? "block" : "none"));
						}

						var clientInfo = data.body.clientInfo;
						//积分
						var integral = clientInfo.integral;
						//余额
						var balance = clientInfo.balance;
						$("#font_integral").html("：" + integral);
						$("#font_balance").html("：" + balance);
					}
				} catch(e) {

				}
			},
			fail : function(rs) {
			}
		});
	} catch(e) {

	}

}

/**
 *上传头像
 */
function uploadImg(path) {
	try {
		var datas = [];
		datas.push({
			"type" : "0",
			"name" : "method",
			"value" : "Online_UploadUserImg"
		});
		datas.push({
			"type" : "0",
			"name" : "clientId",
			"value" : clientId
		});
		datas.push({
			"type" : "1",
			"name" : "file",
			"value" : path
		});
		Family.DoFormRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			isBlock : true,
			timeout : 60 * 10,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						if (data.body.state != "OK") {
							Family.Toast.Show("上传失败");
							return;
						}
						$("#divinfo").html("<img id='imghead' onclick='imgclick(event);' class='user-img' src='" + path + "' />" + nickName);
					} else {
						Family.Toast.Error("上传失败，请重试");
					}
				} catch(e) {

				}

			},
			fail : function() {
				Family.Toast.Error("上传失败，请重试");
			}
		});
	} catch(e) {

	}
}

/**
 *切换帐号
 */
function changeAccount() {
	try {
		PageUtil.goHtmlPageById("login");
	} catch(e) {
	}
}
