var pageSize = 20;
var goodsId = window.getParameter("goodsId") || FamilyCache.EmptyId;

function formateDatas(datas) {
	for (var i = 0; i < datas.length; i++) {
		var data = datas[i];
		data.evaluation = pingfen(data.evaluation);
	}
	return datas;
}

function pingfen(fen) {
	var a = '<img style="width:16;height:16;" src="res:image/pingfen/man.png" />';
	var b = '<img style="width:16;height:16;" src="res:image/pingfen/ban.png" />';
	var c = '<img style="width:16;height:16;" src="res:image/pingfen/kong.png" />';
	var img = "";
	fen = parseFloat(fen);
	if (fen >= 0 && fen <= 0.4) {
		img = c + c + c + c + c;
	} else if (fen >= 0.5 && fen <= 0.9) {
		img = b + c + c + c + c;
	} else if (fen >= 1.0 && fen <= 1.4) {
		img = a + c + c + c + c;
	} else if (fen >= 1.5 && fen <= 1.9) {
		img = a + b + c + c + c;
	} else if (fen >= 2.0 && fen <= 2.4) {
		img = a + a + c + c + c;
	} else if (fen >= 2.5 && fen <= 2.9) {
		img = a + a + b + c + c;
	} else if (fen >= 3.0 && fen <= 3.4) {
		img = a + a + a + c + c;
	} else if (fen >= 3.5 && fen <= 3.9) {
		img = a + a + a + b + c;
	} else if (fen >= 4.0 && fen <= 4.4) {
		img = a + a + a + a + c;
	} else if (fen >= 4.5 && fen <= 4.9) {
		img = a + a + a + a + b;
	} else if (fen >= 5.0) {
		img = a + a + a + a + a;
	}
	return img;
}

var all_crrentPage = 1;
var all_totalPage = 0;
function loadAll() {
	try {
		var datas = "method=Online_GetGoodsEvaluation";
		datas += "&goodsId=" + goodsId;
		datas += "&userImg=" + FamilyCache.Onlineimgurl();
		datas += "&type=0";
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + all_crrentPage;

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("allloading").html("正在加载");
			},
			success : function(rs) {
				$("allloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var listDatas = formateDatas(data.body.listDatas);
						all_totalPage = data.body.totalPage;
						if (all_crrentPage == 1 && listDatas.length == 0) {
							$("allloading").html("暂无评价");
							return;
						}
						$("allList").provide(listDatas).show();
					} else {
						$("allloading").html("<a href='loadAll()'>加载失败，点击重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function() {
				$("allloading").html("<a href='loadAll()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

function onAllScrollBottom() {
	try {
		all_crrentPage++;
		if (all_crrentPage <= all_totalPage) {
			loadAll();
		}
	} catch(e) {

	}
}

var best_currentPage = 1;
var best_totalPage = 0;
var isLoadBest = false;
function onBestShow() {
	if (isLoadBest) {
		return;
	}
	loadBest();
}

function loadBest() {
	try {
		isLoadBest = true;
		var datas = "method=Online_GetGoodsEvaluation";
		datas += "&goodsId=" + goodsId;
		datas += "&userImg=" + FamilyCache.Onlineimgurl();
		datas += "&type=1";
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + best_currentPage;

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("bestloading").html("正在加载");
			},
			success : function(rs) {
				$("bestloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var listDatas = formateDatas(data.body.listDatas);
						best_totalPage = data.body.totalPage;
						if (best_currentPage == 1 && listDatas.length == 0) {
							$("bestloading").html("暂无评价");
							return;
						}
						$("bestList").provide(listDatas).show();
					} else {
						$("bestloading").html("<a href='loadBest()'>加载失败，点击重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function() {
				$("bestloading").html("<a href='loadBest()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

function onBestScollBottom() {
	try {
		best_currentPage++;
		if (best_currentPage <= best_totalPage) {
			loadBest();
		}
	} catch(e) {

	}
}

var worse_currentPage = 1;
var worse_totalPage = 0;
var isLoadWorse = false;
function onWorseShow() {
	try {
		if (isLoadWorse) {
			return;
		}
		loadWorse();
	} catch(e) {

	}
}

function loadWorse() {
	try {
		isLoadWorse = true;
		var datas = "method=Online_GetGoodsEvaluation";
		datas += "&goodsId=" + goodsId;
		datas += "&userImg=" + FamilyCache.Onlineimgurl();
		datas += "&type=3";
		datas += "&pageSize=" + pageSize;
		datas += "&currentPage=" + worse_currentPage;

		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : datas,
			onComplete : function() {
				$("worseloading").html("正在加载");
			},
			success : function(rs) {
				$("worseloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var listDatas = formateDatas(data.body.listDatas);
						worse_totalPage = data.body.totalPage;
						if (worse_currentPage == 1 && listDatas.length == 0) {
							$("worseloading").html("暂无评价");
							return;
						}
						$("worseList").provide(listDatas).show();
					} else {
						$("worseloading").html("<a href='loadWorse()'>加载失败，点击重试</a>");
					}
				} catch(e) {

				}
			},
			fail : function() {
				$("worseloading").html("<a href='loadWorse()'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {

	}
}

function onWorseScollBottom() {
	try {
		worse_currentPage++;
		if (worse_currentPage <= worse_totalPage) {
			loadWorse();
		}
	} catch(e) {

	}
}
