/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */

function onLoad() {
	try {
		
		var id = window.getParameter("id") || window.getPushParameter("id");
		var os = DeviceUtil.getOs();
		$("seller_logo").src = (os == "android" ? "directurl:" : "") + FamilyCache.Onlineurl() + "?method=Online_GetSellerImg&id=" + id;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetSellerInfo&id=" + id,
			onComplete : function() {
				$("loading").html("正在加载");
			},
			success : function(rs) {
				$("loading").hide();
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var sellerInfo = data.body.sellerInfo;
						$("seller_name").html(sellerInfo.name);
						$("seller_pinfen").html(pingfen(sellerInfo.eval) + "<font style='margin:0 0 0 10'>" + sellerInfo.eval + "分</font>");
						$("seller_gps").caption = sellerInfo.address;
						$("seller_gps").riconhref = "PhoneUtil.tel('" + sellerInfo.phone + "')";
						$("seller_gps").href = "goBaiduMap('" + sellerInfo.address + "','" + sellerInfo.gps + "')";
						sellerInfo.desc = sellerInfo.desc.replace(new RegExp("\r", "g"), "<br />").replace(new RegExp("\n", "g"), "<br />").replace(new RegExp("\r\n", "g"), "<br />");
						$("seller_desc").html("<div style='padding:10'>" + sellerInfo.desc + "</div>");
						var goodsData = data.body.goodsData;
						if (goodsData.length > 0) {
							$("number").caption += "(" + goodsData.length + ")";
						}

						for (var i = 0; i < goodsData.length; i++) {
							goodsData[i].img = FamilyCache.Onlineurl() + "?method=Online_GetSellerGoodsImage&amp;id=" + goodsData[i].goodsId;
						}
						$("seller_goodsList").provide(goodsData).show();

						$("body").show();
					} else {
						$("loading").show();
						$("loading").html("<a href='onLoad'>加载失败，点击重试</a>");
					}
				} catch(e) {
					$("loading").show();
					$("loading").html("<a href='onLoad'>加载失败，点击重试</a>");
				}
			},
			fail : function() {
				$("loading").show();
				$("loading").html("<a href='onLoad'>加载失败，点击重试</a>");
			}
		});
	} catch(e) {
		alert(e);
	}
}

function goBaiduMap(address, location) {
	try {
		Family.ProcessBar.Show();
		location = location.split(",");
		$xlocation.get(function(data) {
			var lng = "";
			var lat = "";
			if (data) {
				lng = data.lng;
				lat = data.lat;
			}
			var config = {
				"startLan" : lat, //起点纬度
				"startLon" : lng, //起点经度
				"startName" : data.street, //startName
				"endLan" : location[1], //终点纬度
				"endLon" : location[0], //终点经度
				"endName" : address, //终点名称
				"mode" : "", //导航模式，字符串枚举类型，取值为[transit,driving,walking]，分别表示公交、驾车和步行，可选项，默认为driving
				"coordType" : "", //经纬度坐标类型，字符串枚举类型[bd09ll、bd09mc、gcj02、wgs8411]
				"city" : ""
			};
			NativeUtil.openBaiduMapNavi(config);
			Family.ProcessBar.Hide();
		});
	} catch(e) {
		Family.ProcessBar.Hide();
	}
}

function detail(goodsId) {
	var storeId = window.getParameter("id") || (window.getPushParameter("id") || FamilyCache.EmptyId);
	open("res:page/areadiscount/tuangou.detail.uixml?id=" + goodsId + "&storeId=" + storeId);
}
