function onLoad() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		var convenId = window.getParameter("convenId") || FamilyCache.EmptyId;
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/convenience/bmservice_detail.aspx";
		url += "?areaId=" + ( familyBase ? familyBase.areaId : FamilyCache.EmptyId);
		url += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		url += "&convenId=" + convenId;
		Family.CreateWebView({
			container : "body",
			url : url,
			id : "webview",
			className : "webview"
		});
	} catch(e) {

	}
}

function goBaiduMap(address, location) {
	try {
		Family.ProcessBar.Show();
		location = location.split(",");
		$xlocation.get(function(data) {
			var lng = "";
			var lat = "";
			if (data) {
				lng = data.lng;
				lat = data.lat;
			}
			var config = {
				"startLan" : lat, //起点纬度
				"startLon" : lng, //起点经度
				"startName" : data.street, //startName
				"endLan" : location[1], //终点纬度
				"endLon" : location[0], //终点经度
				"endName" : address, //终点名称
				"mode" : "", //导航模式，字符串枚举类型，取值为[transit,driving,walking]，分别表示公交、驾车和步行，可选项，默认为driving
				"coordType" : "", //经纬度坐标类型，字符串枚举类型[bd09ll、bd09mc、gcj02、wgs8411]
				"city" : ""
			};
			NativeUtil.openBaiduMapNavi(config);
			Family.ProcessBar.Hide();
		});
	} catch(e) {
		Family.ProcessBar.Hide();
	}
}
