var ip = window.getParameter("ip");
var mac = window.getParameter("mac");
var port = window.getParameter("port") || "88";
//开门类型0-易软智能门禁,1-蓝牙门禁
var doortype = window.getParameter("doortype");
var bluetooch = window.getParameter("bluetooth");
var timeout = 1000;
var bluetime;

function load() {
	try {
		setInterval("imgAnimate()", 100);
		if (parseInt(doortype) == 0) {
			openDoorByWIFI();
		} else if (parseInt(doortype) == 1) {
			openDoorBySocket();
		} else if (parseInt(doortype) == 3) {//蓝牙门禁
			OpenBlueTooth();
		} else {//易软蓝牙
			Family.Toast.Show("开门失败");
			setTimeout("closewindow()", 2000);
		}
		var setting = FamilyDB.GetDoorSettings(1);
		if (setting) {
			$("shakeDesc").html("开启 摇一摇开门");
		} else {
			$("shakeDesc").html("关闭 摇一摇开门");
		}
	} catch(e) {
	}
}

/**
 * 蓝牙开门
 */
function OpenBlueTooth() {
	var parent = window.getParameter("parent");
	var caseWindow = Util.getWindowById(parent);
	if (caseWindow) {
		var blue_mac = "",
		    blue_pwd = "";
		if (bluetooch.indexOf(",") === -1) {//没有逗号
			blue_mac = bluetooch;
			blue_pwd = "64AB8921DE67AC34";
		} else {
			blue_mac = bluetooch.split(",")[0];
			blue_pwd = bluetooch.split(",")[1];
		}
		if (parent == "page_main") {
			var db = FamilyDB.GetDoors();
			if (db && db.length > 0) {
				for (var i = 0; i < db.length; i++) {
					if (db[i].door_BLmac.indexOf(blue_mac) > -1) {
						mac = db[i].door_mac;
					}
				}
			}
		}
		caseWindow.callFunction("BluetoothOpen('" + blue_mac + "','" + (blue_pwd + "B2341221456D4451") + "','" + mac + "')");
	} else {
		Family.Toast.Show("参数获取失败,请重新打开页面");
	}
	setTimeout("closewindow()", 5000);
}

/**
 * 关闭窗口
 */
function closewindow() {
	close();
}

var imgIndex = 1;
function imgAnimate() {
	if (imgIndex > 14) {
		imgIndex = 1;
	}
	$("img").src = "res:image/men/" + imgIndex + ".png";
	imgIndex++;
}

function openDoorBySocket() {
	try {
		Family.TcpSocket.call({
			host : ip,
			port : port,
			connect : function(data) {
				if (data.code == 0) {
					Family.TcpSocket.send("getmac");
				} else {
					Family.Toast.Show("连接门禁失败");
					Family.TcpSocket.disconnect();
				}
			},
			send : function(data) {
				if (data.code == 1) {
					Family.Toast.Show("发送命令失败");
					Family.TcpSocket.disconnect();
				}
			},
			receive : function(result) {
				var mac = result.data;
				var dooList = FamilyDB.GetDoors();
				if (dooList && dooList.length > 0) {
					var canOpen = false;
					for (var i = 0; i < dooList.length; i++) {
						if (mac.toLowerCase() === dooList[i].door_mac.toLowerCase()) {
							canOpen = true;
							break;
						}
					}
					if (canOpen) {
						Family.TcpSocket.disconnect();
						Family.TcpSocket.call({
							host : ip,
							port : port,
							connect : function(data) {
								if (data.code == 0) {
									Family.TcpSocket.send("open");
								} else {
									Family.Toast.Show("连接门禁失败");
									Family.TcpSocket.disconnect();
								}
							},
							receive : function(result) {
								var data = result.data;
								if (data.toLowerCase() == "ok") {
									WriteLod(1);
									Family.Toast.Show("开门成功");
								} else {
									Family.Toast.Show("开门失败");
								}
								Family.TcpSocket.disconnect();
								close();
							}
						});
					} else {
						Family.Toast.Show("钥匙不匹配，无法开门");
						Family.TcpSocket.disconnect();
						close();
					}
				} else {
					Family.Toast.Show("您没有开门钥匙");
					Family.TcpSocket.disconnect();
					close();
				}

			},
			disconnect : function(data) {
				Family.TcpSocket.disconnect();
				close();
			}
		});
	} catch(e) {
		Family.TcpSocket.disconnect();
	}
}

function openDoorByWIFI() {
	Family.DoRequest({
		url : "http://" + ip + "/getmac",
		method : "GET",
		isBlock : false,
		data : "",
		timeout : 5,
		success : function(rs) {
			try {
				var mac = rs.responseText.replace("<h1>", "").replace("</h1>", "").replace(new RegExp(" ", "g"), "").toLowerCase();
				var dooList = FamilyDB.GetDoors();
				if (dooList && dooList.length > 0) {
					var canOpen = false;
					for (var i = 0; i < dooList.length; i++) {
						if (mac === dooList[i].door_mac.toLowerCase()) {
							canOpen = true;
							break;
						}
					}
					if (canOpen) {
						open();
					} else {
						Family.Toast.Show("钥匙不匹配，无法开门");
						close();
					}
				} else {
					Family.Toast.Show("您没有开门钥匙");
					close();
				}
			} catch(e) {
			}

		},
		fail : function(rs) {
			Family.Toast.Show("钥匙匹配失败");
			close();
		}
	});
}

function open() {
	Family.DoRequest({
		url : "http://" + ip + "/open",
		method : "GET",
		data : "",
		isBlock : false,
		timeout : 5,
		success : function(rs) {
			if (rs && rs.responseText.indexOf("OK") !== -1) {
				Family.Toast.Show("开门成功");
				WriteLod(1);
				close();
			} else {
				Family.Toast.Show("开门失败");
				close();
			}
		},
		fail : function(rs) {
			Family.Toast.Show("开门失败");
			close();
		}
	});
}

/**
 * 智能开门日志   @type 日志添加类别：2-蓝牙，1-wifi
 */
function WriteLod(type) {
	try {
		var ESN = DeviceUtil.getEsn();
		var clientId = ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		//var url = FamilyDB.GetPostAddress().replace("onlineservice.asmx/DataFromProperty", "WapService.asmx/DataProperty");
		var url = FamilyDB.GetPostAddress();
		var datas = "method=Property_DoorOpenLog&eid=" + clientId + "&code=" + mac + "&primarykey=" + ESN + "&type=" + type;
		Family.DoRequest({
			url : url,
			data : datas,
			isBlock : false,
			success : function(rs) {
			},
			fail : function(rs) {
			}
		});
	} catch(e) {
	}
}