var goodsId = window.getParameter("goodsId") || window.getPushParameter("goodsId");
var familyBase;
var clientBase;
var cache_goodsInfo;
var cache_images;
function onLoad() {
	familyBase = FamilyDB.GetFamilyBase();
	clientBase = FamilyDB.GetClientBase();

	var datas = "method=Online_GetGoodsInfo_v1";
	datas += "&goodsId=" + goodsId;
	datas += "&areaId=" + familyBase.areaId;
	datas += "&clientId=" + ( clientBase ? clientBase.id : "");
	datas += "&esn=" + DeviceUtil.getEsn();
	datas += "&type=3";

	Family.DoRequest({
		url : FamilyCache.Onlineurl(),
		data : datas,
		isBlock : true,
		success : function(rs) {
			try {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					//$("footer").show();
					cache_goodsInfo = data.body.goodsInfo;
					cache_images = data.body.imagesData;
					if (cache_images.length > 0) {
						var slidingcontainer = $("slidingcontainer");
						var slidingItem = '<slidingcontainer mark="' + (cache_images.length > 1) + '" style="mark-color: #6e6e6e; mark-current-color: #DA251D;">';
						for (var i = 0; i < cache_images.length; i++) {
							slidingItem += '<slidingitem>';
							slidingItem += " <img href='viewGoodsImage()' class='full-width' src='" + FamilyCache.Onlineurl() + "?method=Online_GetGoodsImages&amp;imageId=" + cache_images[i].id + "' defaultsrc='res:image/icon/lasy_img_880.png' cached='true' />";
							slidingItem += '</slidingitem>';
						}
						slidingItem += '</slidingcontainer>';
						slidingcontainer.innerHTML = slidingItem;
					}
					$("goodsName").html(cache_goodsInfo.goodsName);
					$("makeOf").html(cache_goodsInfo.makeOf || "");
					$("goodsPrice").html("¥" + cache_goodsInfo.goodsPrice);
					cache_goodsInfo.needKnow = cache_goodsInfo.needKnow.replace(new RegExp("\r\n", "g"), "<br />");
					$("needKnow").html(cache_goodsInfo.needKnow || "");

					var totalScorePerson = cache_goodsInfo.totalScorePerson;
					$("totalScorePerson").html((totalScorePerson || 0) + "人评价");

					var showJC = cache_goodsInfo.showJC;
					if (!(showJC && showJC == 1)) {
						$("footer").hide();
					} else {
						$("footer").show();
					}
				}
			} catch(e) {
			}
		},
		fail : function() {

		}
	});

}

/**
 *添加购买量
 */
function addSaleNumber() {
	try {
		var buynumber = $("buynumber").val();
		if (!buynumber) {
			$("buynumber").val(1);
			return;
		}
		$("buynumber").val(parseInt(buynumber) + 1);
	} catch(e) {
	}
}

/**
 *减少购买量
 */
function subtractSaleNumber() {
	try {
		var buynumber = $("buynumber").val();
		if (!buynumber || parseInt(buynumber) == 1) {
			$("buynumber").val(1);
			return;
		}
		$("buynumber").val(parseInt(buynumber) - 1);
	} catch(e) {
	}
}

function viewGoodsImage() {
	try {
		if (cache_images.length > 0) {
			var datas = [];
			for (var i = 0; i < cache_images.length > 0; i++) {
				datas.push({
					"src" : "directurl:" + FamilyCache.Onlineurl() + "?method=Online_GetGoodsImages&imageId=" + cache_images[i].id
				});
			}
			var config = {
				data : datas
			};
			ClientUtil.openImageList(config);
		}
	} catch(e) {

	}
}

function joinCookbook() {
	var data = FamilyDB.GetOwnerHouseByArea(( clientBase ? clientBase.id : FamilyCache.EmptyId), ( familyBase ? familyBase.areaId : FamilyCache.EmptyId));
	var ownerInfo = FamilyDB.GetOwnerHouse(clientBase.id);
	if (ownerInfo[0].areaId.toUpperCase() != FamilyCache.EasySoftId.toUpperCase()) {
		if (!data) {
			Family.Toast.Show("尊敬的客户您好,您现在所在小区为:" + familyBase.areaName + "。为提高服务质量，请在您居住的小区购买商品", 5000);
			return;
		}
	}

	var sendDate = $("listSendDate").html();
	if (!sendDate || sendDate.indexOf('未选择') != -1) {
		Family.Toast.Show("请选择送货日期");
		return;
	}
	if (FamilyDB.IsExistsNetGoodsTime(sendDate)) {
		FamilyDB.SetNetGoodsTime({
			"id" : Family.NewId(),
			"timespan" : sendDate
		});
	}
	if (FamilyDB.IsExitsNetGoods(sendDate, goodsId)) {
		var buyInfo = [];
		buyInfo.push({
			"id" : Family.NewId(),
			"goodsId" : goodsId,
			"goodsName" : cache_goodsInfo.goodsName,
			"goodsPrice" : cache_goodsInfo.goodsPrice,
			"buyNumber" : "1",
			"timespan" : sendDate,
			"goodsImg" : ""
		});
		FamilyDB.SetNetGoods(buyInfo);
	}
	Family.Toast.Show("已加入您的菜单");
	showMenucar();
}

function showMenucar() {
	try {
		var datas = FamilyDB.SelectNetGoods();
		if (datas) {
			$("shopnumber").html(datas.length);
			if (datas.length > 0) {
				$("shopnumber").show();
			} else {
				$("shopnumber").hide();
			}
		}
	} catch(e) {

	}
}

function selectDate() {
	var netTimespan = "00:00";
	var dataLog = FamilyDB.GetOrderLog();
	if (dataLog) {
		netTimespan = dataLog.body.timespan;
	}
	open("res:page/payment/order.datepick.uixml?getDate=true&netTimespan=" + netTimespan);
}

function pingfen(fen) {
	var a = '<img style="width:20" src="res:image/pingfen/man.png" />';
	var b = '<img style="width:20" src="res:image/pingfen/ban.png" />';
	var c = '<img style="width:20" src="res:image/pingfen/kong.png" />';
	var img = "";
	fen = parseFloat(fen);
	if (fen >= 0 && fen <= 0.4) {
		img = c + c + c + c + c;
	} else if (fen >= 0.5 && fen <= 0.9) {
		img = b + c + c + c + c;
	} else if (fen >= 1.0 && fen <= 1.4) {
		img = a + c + c + c + c;
	} else if (fen >= 1.5 && fen <= 1.9) {
		img = a + b + c + c + c;
	} else if (fen >= 2.0 && fen <= 2.4) {
		img = a + a + c + c + c;
	} else if (fen >= 2.5 && fen <= 2.9) {
		img = a + a + b + c + c;
	} else if (fen >= 3.0 && fen <= 3.4) {
		img = a + a + a + c + c;
	} else if (fen >= 3.5 && fen <= 3.9) {
		img = a + a + a + b + c;
	} else if (fen >= 4.0 && fen <= 4.4) {
		img = a + a + a + a + c;
	} else if (fen >= 4.5 && fen <= 4.9) {
		img = a + a + a + a + b;
	} else if (fen >= 5.0) {
		img = a + a + a + a + a;
	}
	return img;
}

/**
 *评论
 */
function openCopments() {
	try {
		open("res:page/areadiscount/copments.uixml?goodsId=" + goodsId);
	} catch(e) {

	}
}

function goodsDetail() {
	open("res:page/mobilesupermarket/goods.produce.uixml?goodsId=" + goodsId);
}

