var foot_familyBase;
var foot_clientBase;
$("#page_article").on("articleload", function() {
	setTimeout(function() {
		foot_familyBase = FamilyDB.GetFamilyBase();
		foot_clientBase = FamilyDB.GetClientBase();
		loadMainData();
	}, FamilySetting.LasyloadTime);

});

document.addEventListener("onstart", function() {
	setTimeout(function() {
		loadShoppingCar();
	}, 200);

});

function loadShoppingCar() {
	var shoppingcar = FamilyDB.GetShoppingcar();
	if (shoppingcar) {
		$("#span_shoppingcar").text(shoppingcar.length).css("display", "block");
	} else {
		$("#span_shoppingcar").css("display", "none");
	}
}

function loadMainData() {
	try {
		loadShoppingCar();
		var data = "method=Online_GetMainData";
		data += "&areaId=" + foot_familyBase.areaId;
		data += "&propertykey=" + foot_familyBase.propertyKey;
		data += "&clientId=" + foot_clientBase.id;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : data,
			success : function(rs) {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					var userMessages = data.body.userMessages;
					var number = userMessages.length;
					$("#span_usermsg").text(number).css("display", (number > 0 ? "block" : "none"));
				}
			},
			fail : function() {
			}
		});
	} catch(e) {

	}
}