/**
 *购物车
 */
var m_familyBase;
var m_clientBase;
function lasyMenubar() {
	try {
		m_familyBase = FamilyDB.GetFamilyBase();
		m_clientBase = FamilyDB.GetClientBase();
		var menubars = document.getElementById("menubar1").getMenus();
		for (var i = 0; i < menubars.length; i++) {
			var menu = menubars[i];
			if (menu.index == 1) {
				lasyShoppingCar(menu);
			}
		}
	} catch(e) {

	}
}

var cache_lasy_menu;
function lasyShoppingCar(menu) {
	try {
		cache_lasy_menu = menu;
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetShoppingCar&clientId=" + m_clientBase.id + "&areaId=" + m_familyBase.areaId,
			success : function(rs) {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					var datas = data.body.datas;
					cache_lasy_menu.isshowtip = datas.length > 0;
					var total = 0;
					for (var i = 0; i < datas.length; i++) {
						total += parseInt(datas[i].buyNumber);
					}
					cache_lasy_menu.tiptext = total;
				}
			},
			fail : function() {

			}
		});
	} catch(e) {

	}
}

function lasyDecode() {
	try {
		Family.Decode(function(value) {
			if (value.indexOf("http") > 0) {
				NativeUtil.browser(value);
			} else {
				Family.DoRequest({
					url : FamilyCache.Onlineurl(),
					data : "method=Online_Decode&code=" + value,
					isBlock : true,
					success : function(rs) {
						var data = Family.ToJSON(rs.responseText);
						if (data && data.response.code == 200) {
							value = data.body.result.fldGuid;
							var type = data.body.type;
							if (value) {
								switch(parseInt(type)) {
								case 0:
									open("res:page/mobilesupermarket/goods.detail.uixml?goodsId=" + value);
									break;
								case 1:
									open("res:page/mobilesupermarket/goods.appointment.uixml?goodsId=" + value);
									break;
								}

							} else {
								Family.Toast.Show("未找到此商品");
							}
						}
					}
				});
			}
		});
	} catch(e) {
	}
}

function lasyAppMenu(menuName, gridColCount, gridClassName, page) {
	try {
		page = page || 8;
		var appMenus = FamilyDB.GetAppMenu();
		var menus = [];
		for (var i = 0; i < appMenus.length; i++) {
			var menu = appMenus[i];
			if (menu.parentName == menuName) {
				menus.push(menu);
			}
		}

		var sliders = "";
		for (var i = 0; i < menus.length; i = i + page) {
			sliders += "<slidingitem>";
			sliders += "<grid class=\"" + gridClassName + "\" col='" + (gridColCount || 4) + "'>";
			for (var j = i; j < i + page; j++) {
				var menu = menus[j];
				if (menu) {
					sliders += lasyMenuAction(menu.menuName);
				}
			}
			sliders += "</grid>";
			if (menus.length > page) {
				sliders += "<br size='20' />";
			}
			sliders += "</slidingitem>";
		}
		return "<slidingcontainer style=\"mark-color:gray;mark-current-color:red;\" mark=\"" + (menus.length > page ? "true" : "false") + "\">" + sliders + "</slidingcontainer>";
	} catch(e) {
	}
	return "";
}

/**
 *菜单地址
 */
function lasyMenuAction(menu) {
	var familyBase = FamilyDB.GetFamilyBase();
	var propertyKey = familyBase ? (familyBase.propertyKey || "") : "";
	var gridCell = "";
	try {
		switch(menu) {
		case "物业服务":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/wyfu.png" href="res:page/property/property.uixml"></cell>';
			break;
		case "便民服务":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/bmfw.png" href="res:page/convenience/convenience.uixml"></cell>';
			break;
		case "社交圈子":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/sjqz.png" href="res:page/socialcontact/socialcontact.uixml"></cell>';
			break;
		case "休闲地带":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/xxdd.png" href="res:page/restarea/restarea.uixml"></cell>';
			break;
		case "手机超市":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/sjcs.png" href="openSuppermarket()"></cell>';
			break;
		case "周边优惠":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/zbyh.png" href="openAreadiscount()"></cell>';
			break;
		case "特色商品":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/tg.png" href="openHot()"></cell>';
			break;
		case "净菜":
			gridCell = '<cell text="' + menu + '" icon="res:image/icon/jingcai.png" href="openNet()"></cell>';
			break;
		case "社区公告":
			gridCell = '<cell text="' + menu + '" href="res:page/property/property.notice.uixml" icon="res:image/icon/sqgg.png"></cell>';
			break;
		case "报修":
		case "报事":
		case "报事报修":
			gridCell = '<cell text="' + menu + '" href="res:page/property/property.repaire.uixml" icon="res:image/icon/bx.png"></cell>';
			break;
		case "物业费":
			gridCell = '<cell text="' + menu + '" href="res:page/property/property.charge.uixml" icon="res:image/icon/jf.png"></cell>';
			break;
		case "预缴费用":
		case "预缴充值":
			gridCell = '<cell text="' + menu + '" href="res:page/property/property.charge.pre.uixml" icon="res:image/icon/yjfy.png"></cell>';
			break;
		case "快乐游":
			if (propertyKey == "renheng") {
				gridCell = '<cell text="' + menu + '" href="res:page/webview.uixml?caption=快乐游" icon="res:image/icon/kly.png"></cell>';
			} else {
				gridCell = '<cell text="' + menu + '" href="Family.Toast.Show(\'建设中,敬请期待\')" icon="res:image/icon/kly.png"></cell>';
			}
			break;
		case "社区活动":
			if (propertyKey == "renheng") {
				gridCell = '<cell text="' + menu + '" href="res:page/webview.uixml?caption=社区活动" icon="res:image/icon/sqhd.png"></cell>';
			} else {
				gridCell = '<cell text="' + menu + '" href="Family.Toast.Show(\'建设中,敬请期待\')" icon="res:image/icon/sqhd.png"></cell>';
			}
			break;
		case "维修":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=维修&amp;id=245BACD6-0EE4-4DEB-9B47-0DE347A1C742" icon="res:image/icon/wx.png"></cell>';
			break;
		case "家政服务":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=家政服务&amp;id=43D43B0E-988D-4F91-B3F8-A00F511D9A86" icon="res:image/icon/jzfw.png"></cell>';
			break;
		case "托管服务":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=托管服务&amp;id=C1EBE2BD-4BB1-40C4-9048-5C61C91E24AD" icon="res:image/icon/tgfw.png"></cell>';
			break;
		case "快递服务":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=快递服务&amp;id=74A76E15-294F-404C-90A1-58B5B578AF35" icon="res:image/icon/kdfw.png"></cell>';
			break;
		case "代驾服务":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=代驾服务&amp;id=0822D655-778C-4BE1-9181-8C72123C1F39" icon="res:image/icon/djfw.png"></cell>';
			break;
		case "医疗咨询":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=医疗咨询&amp;id=8C3D8A4B-0B50-44EF-ACB4-01727106F193" icon="res:image/icon/ylzx.png"></cell>';
			break;
		case "美容健身":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=美容健身&amp;id=DDE3659F-131A-40A1-A456-82BBD69A53DF" icon="res:image/icon/mrjs.png"></cell>';
			break;
		case "家居建材":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=家居建材&amp;id=7A7A3BAC-B4E3-4E1C-9694-9E2985C0A864" icon="res:image/icon/jjjc.png"></cell>';
			break;
		case "政务信息":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=政务信息&amp;id=743BD371-D2AA-425A-9A13-18E6CB88157F" icon="res:image/icon/zwxx.png"></cell>';
			break;
		case "餐饮娱乐":
			gridCell = '<cell text="' + menu + '" href="res:page/convenience/convenience.list.uixml?title=餐饮娱乐&amp;id=EA77652E-B67F-43AD-BFB4-BC2F30E5A0DD" icon="res:image/icon/cyyl.png"></cell>';
			break;
		case "论坛":
			gridCell = '<cell text="' + menu + '" href="res:page/socialcontact/thingsaround.uixml" icon="res:image/icon/lt.png"></cell>';
			break;
		case "跳蚤市场":
			gridCell = '<cell text="' + menu + '" href="res:page/socialcontact/trading.uixml" icon="res:image/icon/tzsc.png"></cell>';
			break;
		case "我发布的信息":
			gridCell = '<cell text="' + menu + '" href="res:page/socialcontact/mysocial.uixml" icon="res:image/icon/wdfb.png"></cell>';
			break;
		case "全部":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.category.new.uixml?openNewWindow=true" icon="res:image/icon/qb.png"></cell>';
			break;
		case "休闲食品":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=dea08e2b-99f9-42ef-a73e-68d12a9fe59e" icon="res:image/icon/xxsp.png"></cell>';
			break;
		case "粮油调料":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=c836087f-b3b9-4059-81bc-8ba802958d6e" icon="res:image/icon/lytl.png"></cell>';
			break;
		case "饮料冲调":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=f83376c0-9d28-4cb5-969c-a4dbb7ab4922" icon="res:image/icon/ylct.png"></cell>';
			break;
		case "生鲜食品":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=96929cd1-1c49-46b5-b63d-279127e1c06b" icon="res:image/icon/sxsp.png"></cell>';
			break;
		case "日化洗涤":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=2b84d2cf-b896-4934-ace2-610d6a51f986" icon="res:image/icon/rhxd.png"></cell>';
			break;
		case "进口商品":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.list.uixml?typeId=7fffadfb-cc4f-40e4-9b47-d24b73503a29" icon="res:image/icon/jksp.png"></cell>';
			break;
		case "海外代购":
		case "海购品":
			gridCell = '<cell text="' + menu + '" href="Family.Toast.Show(\'建设中，敬请期待\')" icon="res:image/icon/hwdg.png"></cell>';
			break;
		case "尊享套餐":
			gridCell = '<cell text="' + menu + '" href="res:page/mobilesupermarket/goods.package.uixml?title=' + menu + '" icon="res:image/icon/zxtc.png"></cell>';
			break;
		case "房屋租售":
			gridCell = '<cell text="' + menu + '" href="res:page/houserental/housemain.uixml" icon="res:image/icon/house.png"></cell>';
			break;
		case "一键开门":
			gridCell = '<cell text="' + menu + '" href="_openDoor()" icon="res:image/icon/opendoor.png"></cell>';
			break;
		case "项目介绍":
			gridCell = '<cell text="' + menu + '" href="res:page/property/property.programme.uixml" icon="res:image/icon/xmjs.png"></cell>';
			break;
		case "扫一扫":
			gridCell = '<cell text="' + menu + '" href="lasyDecode()" icon="res:image/icon/sys.png"></cell>';
			break;
		case "特约服务":
			gridCell = '<cell text="' + menu + '" href="res:page/special/special.uixml" icon="res:image/icon/tyfw.png"></cell>';
			break;
		}
	} catch(e) {

	}
	return gridCell;
}

/**
 *摇一摇开门
 */
function _shakeDoor() {
	try {
		var setting = FamilyDB.GetDoorSettings(1);
		if (!setting) {
			_openDoor();
		}
	} catch(e) {

	}
}

//有权限开门的门禁mac字符串
var sqlmacs = "",
    bluetime1;
//开门
function _openDoor() {
	try {
		if (FamilyDB.CheckPattern()) {
			Family.Toast.Show("游客您好，您需要注册会员才能使用此功能!");
			return;
		}
		var doorList = FamilyDB.GetDoors();
		if (doorList && doorList.length > 0) {
			sqlmacs = "";
			for (var i = 0; i < doorList.length; i++) {
				var data = doorList[i];
				if (parseInt(data.door_type) == 3) {//为蓝牙门禁
					var bluetooch = data.door_BLmac;
					if (bluetooch.indexOf(",") === -1) {//没有逗号
						sqlmacs += "'" + bluetooch.toUpperCase() + "',";
					} else {
						sqlmacs += "'" + bluetooch.split(",")[0].toUpperCase() + "',";
					}
				}
			}
			if (sqlmacs && sqlmacs != "") {//有立方门禁的时候
				sqlmacs = sqlmacs.substring(0, (sqlmacs.length - 1));
				Family.ProcessBar.Show("正在连接");
				bluetoothCache();
				bluetime1 = setTimeout("openBlueDoor()", 3000);
			} else {//没有立方门禁的时候跳转到我的钥匙页面
				open("res:page/doors.list.uixml");
			}
		} else {
			Family.Toast.Show("您还没有配置开门钥匙");
		}
	} catch(e) {
		Family.ProcessBar.Hide();
	}
}

function openBlueDoor() {
	try {
		clearTimeout(bluetime1);
		Family.ProcessBar.Hide();
		var params = "mac in (" + sqlmacs + ")";
		var db = FamilyDB.GetBluetoothMAX(params);
		if (db && db.length > 0) {
			var blue_mac = db[0].mac.toUpperCase();
			var pr = "ip=192.168.0.1&mac=" + blue_mac + "&port=88&doortype=3&bluetooth=" + blue_mac + "&parent=page_main";
			if (blue_mac) {
				open("res:page/doors.open.uixml?" + pr);
			} else {
				confirm("获取设备失败,是否手动使用开门钥匙开门?", function() {
					open("res:page/doors.list.uixml");
				});
			}
		} else {
			confirm("获取设备失败,是否手动使用开门钥匙开门?", function() {
				open("res:page/doors.list.uixml");
			});
		}
	} catch(e) {
		Family.ProcessBar.Hide();
	}
}