/**
 *配置
 */
var FamilySetting = (function() {

	/**
	 *设置登录信息
	 * @param {Object} loginData
	 */
	var _setLoginInfo = function(loginData) {
		var data = eval("(" + loginData + ")");

		var loginInfo = data.body.loginInfo;

		loginInfo.pattern = 1;

		//1为登录模式 其他为访客模式 兼容部分代码
		FamilyCache.SetCache(FamilyCache.Pattern, loginInfo.pattern);

		//缓存登录信息
		FamilyDB.SetLoginInfo(loginData);

		//缓存基本信息
		FamilyDB.SetFamilyBase(loginInfo);

		//缓存房屋信息
		FamilyDB.SetOwnerHouse(loginInfo.id, data.body.houseDatas);

		//物业数据访问地址
		FamilySpecial.LoadPropertyurl(loginInfo.propertyKey);
		
		FamilyCache.SetCache("family.base.propertyName", loginInfo.propertyName);
		//缓存菜单
		var appMenu = loginInfo.appMenus;
		FamilyDB.SetAppMenu(appMenu);
	};

	return {
		SetLoginInfo : _setLoginInfo, //设置登录信息
		Pwidth : 720, //手机拍照像素
		OutHeight : 200, //下拉刷新偏移量
		LasyloadTime : 100//数据延迟加载时间
	};
})();
