var objectId, //房屋Id
    houseId, //租售房屋Id
    operate,
    type;
function onLoad() {
	try {
		type = window.getParameter("type");
		if (type == "object") {
			objectId = window.getParameter("objectId");
			getObjectData(objectId);
		} else if (type == "house") {
			operate = window.getParameter("operate");
			houseId = window.getParameter("houseId");
			getHouseData(houseId);
		}
	} catch(e) {
	}
}

function getHouseData(hId) {
	var datas = "method=Property_HouseRental_HouseAndObject&guid=" + hId + "&type=house";
	Family.DoRequest({
		url : FamilyDB.GetPostAddress(),
		data : datas,
		isBlock : true,
		success : function(rs) {
			try {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					var json = data.body.datas;
					if (json.length > 0) {
						if (operate == "cantral") {
							switch(json[0].fldHState) {
							//上线待审核
							case "1":
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//上线成功
							case "2":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "block";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//上线失败
							case "3":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "block";
								break;
							//下架申请
							case "4":
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//下架成功
							case "5":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "block";
								break;
							default:
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							}
						}
						$("list").clear().provide(json).show();
					} else {
						$("list").show();
						$("list").clear().html("<div style='width:100%;text-align:center;'>暂无数据<div>");
					}
				}
			} catch(e) {
			}
		},
		fail : function() {
		}
	});
}

function getObjectData(oId) {
	var datas = "method=Property_HouseRental_HouseAndObject&guid=" + oId + "&type=object";
	Family.DoRequest({
		url : FamilyDB.GetPostAddress(),
		data : datas,
		isBlock : true,
		success : function(rs) {
			try {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					var json = data.body.datas;
					if (json.length > 0) {
						if (operate == "cantral") {
							switch(json[0].fldHState) {
							//上线待审核
							case "1":
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//上线成功
							case "2":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "block";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//上线失败
							case "3":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "block";
								break;
							//下架申请
							case "4":
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							//下架成功
							case "5":
								document.getElementById("btnCantral").style.display = "block";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "block";
								break;
							default:
								document.getElementById("btnCantral").style.display = "none";
								document.getElementById("btnDel").style.display = "none";
								document.getElementById("btnAdd").style.display = "none";
								break;
							}
						}
						$("list").clear().provide(json).show();
					} else {
						$("list").show();
						$("list").clear().html("<div style='width:100%;text-align:center;'>暂无数据<div>");
					}
				}
			} catch(e) {
			}
		},
		fail : function() {
		}
	});
}

//发布房屋
function getInsertHouse() {
	try {
		var hid = "00000000-0000-0000-0000-000000000000",
		    clientId,
		    esareaId,
		    areaId,
		    name;
		if (objectId) {
			hid = objectId;
		} else if (houseId) {
			hid = houseId;
		}
		clientBase = FamilyDB.GetClientBase();
		familyBase = FamilyDB.GetFamilyBase();
		areaId = familyBase ? familyBase.areaId : FamilyCache.EmptyId;
		esareaId = familyBase ? familyBase.esareaId : FamilyCache.EmptyId;
		clientId = clientBase ? clientBase.id : FamilyCache.EmptyId;
		name = "租售房屋发布";
		var data = {
			"objectId" : hid,
			"clientId" : clientId,
			"esareaId" : esareaId,
			"areaId" : areaId,
			"title" : name
		};
		FamilyCache.SetCache("family.house.params", ClientUtil.jsonToString(data));
		open("res:page/houserental/addhouserental.uixml");
	} catch(e) {
	}
}

//取消发布房屋
function getCancelHouse() {
	try {
		var datas = "method=Property_HouseRental_HouseOperate&houseId=" + houseId + "&operate=del";
		Family.DoRequest({
			url : FamilyDB.GetPostAddress(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						switch(data.body.datas[0].result) {
						case "OK":
							Family.Toast.Show("房屋租售信息取消成功，请等待管理员审核");
							break;
						case "1":
							Family.Toast.Show("房屋租售正在申请审核中");
							break;
						case "2":
							Family.Toast.Show("房屋租售信息取消成功，请等待管理员审核");
							break;
						case "3":
							Family.Toast.Show("房屋租售上下失败，请重新上线");
							break;
						case "4":
							Family.Toast.Show("房屋租售下架申请正在审批中");
							break;
						case "5":
							Family.Toast.Show("房屋租售已经下架成功");
							break;
						}
					} else {
						Family.Toast.Show("房屋租售信息取消失败");
					}
				} catch(e) {
					Family.Toast.Show("房屋租售信息取消失败");
				}
			},
			fail : function() {
				Family.Toast.Show("房屋租售信息取消失败");
			}
		});
	} catch(e) {
	}
}
