/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var categoryDatas;
function onLoad() {
	FamilyCache.SetCache("goods.refresh", "");
	var familyBase = FamilyDB.GetFamilyBase();
	Family.DoRequest({
		url : FamilyCache.Onlineurl(),
		data : "method=Online_GoodsType&areaId=" + familyBase.areaId,
		isBlock : true,
		success : function(rs) {
			try {
				var data = Family.ToJSON(rs.responseText);
				if (data && data.response.code == 200) {
					categoryDatas = data.body.listDatas;

					renderCategory();
				}
			} catch(e) {

			}
		},
		fail : function() {

		}
	});
}

function renderCategory() {
	try {
		var grid = "";
		for (var i = 0; i < categoryDatas.length; i++) {
			var category = categoryDatas[i];
			if (category.pid == FamilyCache.EmptyId) {
				grid += '<div id="' + category.id + '" class="' + (i == 0 ? "leafcur" : "leaf") + '" href="childrenCategory(\'' + category.id + '\')">' + category.name + '</div>';
			}
		}
		$("scroll").html(grid);
		childrenCategory(categoryDatas[0].id);
		$("leftcontainer").show();
	} catch(e) {

	}

}

function childrenCategory(pid) {
	try {
		window.beignPreferenceChange();
		$("body").html("");
		$("loading").html("正在加载");
		var html = "";
		for (var i = 0; i < categoryDatas.length; i++) {
			var category = categoryDatas[i];
			if ($(category.id)) {
				$(category.id).className = "leaf";
			}
			if (category.pid == pid) {
				html += '<div class="categoryhead">' + category.name + '</div>';
				for (var j = 0; j < categoryDatas.length; j++) {
					var data = categoryDatas[j];
					if (data.pid == category.id) {
						html += '<ediv href="showGoods(\'' + data.id + '\')" class="category">' + data.name + '</ediv>';
					}
				}
				html += '<div style="height:40"></div>';
			}
		}
		$(pid).className = "leafcur";
		$("body").html(html);
		$("loading").html("");
		window.endPreferenceChange();
	} catch(e) {
	}

}

function showGoods(typeId) {
	var openNewWindow = window.getParameter("openNewWindow") || FamilyCache.GetCache("openNewWindow");
	FamilyCache.SetCache("goods.typeId", typeId);
	FamilyCache.SetCache("goods.keywords", "");
	if (openNewWindow) {
		FamilyCache.SetCache("openNewWindow", "");
		open("res:page/mobilesupermarket/goods.list.uixml", false);
	} else {
		FamilyCache.SetCache("openNewWindow", "");
		FamilyCache.SetCache("goods.refresh", 1);
		close();
	}
}