/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var pageSize = 10;
var currentPage = 1;
var totalPage = 0;
var orderType = 1;
var familyBase;
function onLoad() {
	try {
		FamilyCache.SetCache("goods.refresh", "");
		FamilyCache.SetCache("goods.keywords", "");
		var typeId = window.getParameter("typeId");
		typeId && FamilyCache.SetCache("goods.typeId", typeId);
		var keywords = window.getParameter("keywords");
		$("keyword").html(keywords || "搜索商品");
		loadGoods("replace");
	} catch(e) {

	}
}

/**
 *页面激活
 */
function onStart() {
	//setTimeout("onStartLasyLoad()", 100);
}

function onStartLasyLoad() {
	if (FamilyCache.GetCache("goods.refresh") == 1) {
		currentPage = 1;
		totalPage = 0;
		$("keyword").html(FamilyCache.GetCache("goods.keywords") || "搜索商品");
		refresh();
	}
	lasyMenubar();
}

/**
 *加载商品
 */
function loadGoods() {
	try {
		if (!familyBase) {
			familyBase = FamilyDB.GetFamilyBase();
		}
		var clientBase = FamilyDB.GetClientBase();
		var areaId = familyBase ? familyBase.areaId : FamilyCache.EmptyId;
		var typeId = FamilyCache.GetCache("goods.typeId");
		var keywords = window.getParameter("keywords") || FamilyCache.GetCache("goods.keywords");
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/supermarket/market.aspx";
		url += "?areaId=" + areaId;
		url += "&typeId=" + typeId;
		url += "&keywords=" + encodeURI(keywords);
		url += "&orderType=" + orderType;
		url += "&clientId=" + ( clientBase ? clientBase.id : FamilyCache.EmptyId);
		$("webview").loadUrl(url);
	} catch(e) {

	}
}

/**
 *刷新
 */
function refresh() {
	try {
		currentPage = 1;
		totalPage = 0;
		$("goodsList").clear().hide();
		var areaId = familyBase.areaId;
		var typeId = FamilyCache.GetCache("goods.typeId");
		var keywords = FamilyCache.GetCache("goods.keywords");
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/supermarket/goods.aspx";
		url += "?areaId=" + areaId;
		url += "&typeId=" + typeId;
		url += "&keywords=" + encodeURI(keywords);
		url += "&orderType=" + orderType;
		$("webview").loadUrl(url);
	} catch(e) {

	}
}

function openGoodsDlg(goodsId, packageId) {
	//open("res:page/mobilesupermarket/goods.appointment.uixml?goodsId=" + goodsId);
	//return;
	if (packageId == '00000000-0000-0000-0000-000000000001') {
		open("res:page/mobilesupermarket/goods.appointment.uixml?goodsId=" + goodsId);
	} else if (packageId != FamilyCache.EmptyId) {
		open("res:page/mobilesupermarket/goods.package.detail.uixml?packageId=" + packageId);
	} else {
		open("res:page/mobilesupermarket/goods.detail.uixml?goodsId=" + goodsId);
	}
}
