function onLoad() {
	try {
		var options = ClientUtil.stringToJson(FamilyCache.GetCache("family.payment.options"));
		if (options && options.amount) {
			$("price").html("￥" + options.amount);
		}
	} catch(e) {

	}
}

function validate() {
	try {
		var pwd = $("pwd").val();
		if (!pwd) {
			Family.Toast.Show("请输入物业宝支付密码");
			$("pwd").setFocus();
			return;
		}
		var clientBase = FamilyDB.GetClientBase();
		if (pwd != clientBase.paymentPW) {
			Family.Toast.Show("支付密码错误");
			return;
		}
		pay();
	} catch(e) {
	}
}

function ontextchanged() {
	var pwd = $("pwd").val();
	var clientBase = FamilyDB.GetClientBase();
	if (pwd == clientBase.paymentPW) {
		pay();
	}
}

function pay() {
	var windowId = FamilyCache.GetCache("payment.wyb.windowId");
	var dlg = Util.getWindowById(windowId);
	if (dlg) {
		var type = FamilyCache.GetCache("payment.wyb.type");
		var params = FamilyCache.GetCache("payment.wyb.params");
		var callback = FamilyCache.GetCache("payment.wyb.callback");
		if (type == 0) {
			//物业宝缴物业费
			dlg.callFunction("FamilyPayment.BalancePayCharge('" + params + "','" + callback + "')");
		} else {
			//物业宝购物
			dlg.callFunction("FamilyPayment.BalancePayGoods('" + params + "','" + callback + "',false)");
		}
	}
	close();
}
