/*
*	ExMobi4.x+ JS
*	Version	: 1.0.0
*	Author	: jy313649063
*	Email	:
*	Weibo	:
*	Copyright 2015 (c)
*/
/**
 *商品购买成功
 * @param {Object} data
 */
function lasyPaysuccessDetail(data) {
	try {
		
		lasySendTicket(data);
		
		var orderInfo = data.body.orderInfo;
		var datas = [];
		var buyInfo = orderInfo.buyInfo;
		var goodsList = "";
		var style = "border-size: 0;iconwidth: 50;iconheight: 50;sndfont-size: 18;sndcolor: #6E6E6E;color: #6E6E6E;font-size: 18;rfont-size: 18;";
		for (var i = 0; i < buyInfo.length; i++) {
			var buy = buyInfo[i];
			var img = FamilyCache.Onlineurl() + "?method=Online_GetGoodsImages&amp;imageId=" + buy.imageId;
			goodsList += '<listitem style="' + style + '" rcaption="x' + buy.buynumber + '" sndcaption="¥' + buy.price + '" cached="true" icon="' + img + '" type="twoline" caption="' + buy.name + '" defaulticon="res:image/icon/lasy_img.png"></listitem>';
		}
		orderInfo.goodsList = goodsList;
		datas.push(orderInfo);
		$("includ_paysuccessList").clear().provide(datas).show();
		
	} catch(e) {

	}

}

/**
 *物业缴费成功
 * @param {Object} data
 */
function lasyChargePaysuccessDetail(data) {
	try {
		var orderInfo = data.body.orderInfo;
		var buyInfo = orderInfo.buyInfo;
		$("l_ordernumber").caption = "订单号:" + orderInfo.orderNumber;
		$("l_totalPrice").rcaption = "¥" + orderInfo.totalPrice;
		$("l_paytype").rcaption = orderInfo.payType;
		for (var i = 0; i < buyInfo.length; i++) {
			var info = buyInfo[i];
			var items = info.name.split("#");
			info.month = items[0] || "";
			info.objectName = items[1] || "";
			info.project = items[2] || "";
		}
		$("l_buylist").clear().provide(buyInfo).show();
		
		lasySendTicket(data);
	} catch(e) {

	}

}

/**
 *充值 成功
 * @param {Object} data
 */
function lasyAppRechargeSuccessDetail(data) {
	try {
		var orderInfo = data.body.orderInfo;
		$("l_ordernumber").caption = "订单号:" + orderInfo.orderNumber;
		$("l_totalPrice").rcaption = "¥" + orderInfo.totalPrice;
		$("l_paytype").rcaption = orderInfo.payType;
		
		lasySendTicket(data);
	} catch(e) {

	}
}

/**
 *订单详情
 * @param {Object} data
 */
function lasyOrderDetail(data) {
	try {
		var orderInfo = data.body.orderInfo;
		//0：020 1：商家团购，2：上门服务 3：积分兑换 4:预存充值,5:交物业费,6 活动赠与
		var orderType = orderInfo.orderType;
		if (orderInfo) {
			var buyInfo = orderInfo.buyInfo;
			if (buyInfo) {
				var goodsList = "";
				for (var i = 0; i < buyInfo.length; i++) {
					var buy = buyInfo[i];
					if (orderType <= 2) {
						goodsList += '<listitem defaulticon="res:image/icon/lasy_img.png" cached="true" class="u-od-success u-od-rcolor4" rcaption="' + (buy.price > 0 ? "¥" + buy.price : "赠品") + '" sndcaption="x' + buy.buynumber + '" type="twoline" icon="' + FamilyCache.Onlineurl() + '?method=Online_GetGoodsImages&amp;imageId=' + buy.imageId + '" caption="' + buy.name + '">';
						goodsList += '</listitem>';
					} else if (orderType == 4) {
						goodsList += '<listitem cached="true" type="oneline" class="u-od-success u-od-rcolor4" caption="' + buy.name + '">';
						goodsList += '</listitem>';
					} else if (orderType == 5) {
						var items = buy.name.split("#");
						var month = items[0] || "";
						var objectName = items[1] || "";
						var project = items[2] || "";
						goodsList += '<listitem cached="true" type="twoline" class="u-od-success u-od-rcolor4" caption="' + month + objectName + '" rcaption="' + buy.price + '" sndcaption="' + project + '"></listitem>';
					}
				}
				$("u-od-buyInfo").html(goodsList);
			}

			$("u-od-orderNumber").caption = "订单号：" + orderInfo.orderNumber;
			//$("u-od-payType").rcaption = orderInfo.payType || "";
			$("u-od-payType").clear().provide(data.body.orderPayTypes).show();
			$("u-od-sendType").rcaption = orderInfo.sendType || "";
			$("u-od-sendTime").rcaption = orderInfo.deliveryDate || "";
			$("u-od-totalPrice").rcaption = "¥" + orderInfo.allPrice;
			$("u-od-distinctPrice").rcaption = orderInfo.distinctPrice ? "-¥" + orderInfo.distinctPrice : "";
			$("u-od-payPrice").rcaption = "实付款：¥" + orderInfo.payMoney;
			$("u-od-orderdate").rcaption = "下单时间：" + orderInfo.orderDate;
			$("u-od-freightAmount").rcaption = "¥" + orderInfo.freightAmount;
			$("u-od-captcha").rcaption = splitCaptcha(orderInfo.captcha) || "";
			$("u-od-takeAddress").rcaption = orderInfo.takeAddress || "";
			$("u-od-captcha").href = "viewCaptcha('" + orderInfo.captcha + "')";
			if (orderType == 4 || orderType == 5) {
				$("u-od-sendType").hide();
				$("u-od-sendTime").hide();
				$("u-od-freightAmount").hide();
				$("u-od-captcha").hide();
				$("u-od-takeAddress").hide();
			}
		}
		lasySendTicket(data);
	} catch(e) {
	}
}

/**
 *消费送券
 * @param {Object} ticketlist
 */
function lasySendTicket(data) {
	var ticketlist = data.body.ticketList;
	if (ticketlist && ticketlist.length > 0) {
		FamilyCache.SetCache("cache.register.ticketlist", ClientUtil.jsonToString(ticketlist));
		open("res:page/takeTicket.uixml");
	}
}
