/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */
var caseId = window.getParameter("caseId") || FamilyCache.EmptyId;
var familyBase;
var clientBase;
var ownerId;
var ownerName;
function onLoad() {
	try {
		familyBase = FamilyDB.GetFamilyBase();
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/property/case_history_detail.aspx?";
		url += "caseId=" + caseId;
		url += "&propertyKey=" + familyBase.propertyKey;
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview"
		});
	} catch(e) {

	}
}

function writeMessage() {
	try {
		var messageText = $("messageText").val();
		if (!messageText) {
			Family.Toast.Show("请输入您的留言");
			return;
		}

		familyBase = FamilyDB.GetFamilyBase();
		clientBase = FamilyDB.GetClientBase();
		var houseData = FamilyDB.GetOwnerHouseByArea(clientBase.id, familyBase.areaId);
		var house = houseData ? houseData[0] : {};
		ownerId = house.ownerId || FamilyCache.EmptyId;
		ownerName = house.ownerName || "";

		var datas = "method=Property_WriteCaseMessage";
		datas += "&caseId=" + caseId;
		datas += "&ownerId=" + ownerId;
		datas += "&content=" + messageText;

		Family.DoRequest({
			url : FamilyDB.GetPostAddress(),
			data : datas,
			isBlock : true,
			success : function(rs) {
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						var state = data.body.state;
						if (state != "OK") {
							Family.Toast.Show("留言失败，请稍后重试");
							return;
						}
						Family.Toast.Show("感谢您的留言，我们将及时为您处理");
						var dt = new Date();

						var year = dt.getFullYear();
						var month = dt.getMonth() + 1;
						var date = dt.getDate();
						var houre = dt.getHours();
						if (houre < 10) {
							houre = "0" + houre;
						}
						var minutes = dt.getMinutes();
						if (minutes < 10) {
							minutes = "0" + minutes;
						}

						var time = year + "-" + month + "-" + date + " " + houre + ":" + minutes;
						var msgList = [{
							"inputDate" : time,
							"name" : ownerName,
							"content" : $("messageText").val()
						}];
						$("messageList").provide(msgList).show();
						$("messageInfo").show();
						$("messageText").val("");
						window.scrollTo("bottom");
					} else {
						Family.Toast.Show("留言失败，请稍后重试");
					}
				} catch(e) {
				}
			},
			fail : function() {
				Family.Toast.Show("留言失败，请稍后重试");
			}
		});
	} catch(e) {

	}
}
