function load() {
	try {
		var cacheData = FamilyCache.GetCache("cache.register.accountInfo");
		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/register/register_account.aspx";
		url += cacheData;
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview"
		});
	} catch(e) {

	}
}

/**
 *注册成功后设置缓存信息
 */
function clientInfoSet() {
	try {
		var registerBackDatas = ClientUtil.stringToJson(FamilyCache.GetCache("cache.register.backDatas"));
		FamilyDB.SetLoginInfo(FamilyCache.GetCache("cache.register.backDatas"));
		FamilyDB.SetOwnerHouse(registerBackDatas.body.clientId, registerBackDatas.body.houseDatas);
		var ticketList = registerBackDatas.body.ticketList;
		FamilyCache.SetCache("cache.register.ticketlist", ClientUtil.jsonToString(ticketList));

		var cacheAreaData = ClientUtil.stringToJson(FamilyCache.GetCache("cache.area.callback"));
		FamilyDB.SetFamilyBase({
			"pattern" : 1,
			"areaId" : cacheAreaData.areaId,
			"propertyKey" : cacheAreaData.propertyKey,
			"esareaId" : cacheAreaData.esareaId,
			"areaName" : cacheAreaData.areaName,
			"openOnline" : cacheAreaData.openOnline
		});
		FamilyCache.SetCache("family.base.propertyName", cacheAreaData.propertyName);
		FamilyDB.SetAppMenu(cacheAreaData.appMenus);

		var otherDatas = ClientUtil.stringToJson(FamilyCache.GetCache("cache.register.otherDatas"));
		FamilyCache.SetCache("family.login.name", (otherDatas.loginName || ""));
		FamilyCache.SetCache("family.login.password", (otherDatas.loginPass || ""));
		FamilyDB.SetPostAddress((cacheAreaData.propertyPostAddress || ""));

	} catch(e) {

	}
}
