var city = "";
var lng = "";
var lat = "";
var key = "";
var clientId = "";
var pattern = "";
//visit:游客 normal:已注册
function onLoad() {
	try {
		pattern = window.getParameter("pattern") || "";
		$("titlebar").title = (pattern == "visit" ? "选择您要游览的小区" : "选择小区");
		var isSupportLocation = DeviceUtil.isSupportLocation();
		if (isSupportLocation) {
			Family.ProcessBar.Show();
			$xlocation.get(function(data) {
				if (data) {
					lng = data.lng;
					lat = data.lat;
					city = data.city.replace("", "");
				}
				refreshUrl();
			});
			return;
		}
		refreshUrl();
	} catch(e) {
		Family.ProcessBar.Hide();
	}

}

function refreshUrl() {
	try {
		Family.ProcessBar.Show();
		city = city || "";
		lng = lng || "0";
		lat = lat || "0";

		var appId = ClientUtil.getAppId();
		if (appId === "zhonglianjiayuanandroid" || appId === "zhonglianjiayuanios") {
			key = "fj_zhonglian";
		} else if (appId === "linlihuiandroid" || appId === "linlihuiios") {
			key = "zhiping";
		}

		var clientBase = FamilyDB.GetClientBase();
		clientId = ( clientBase ? clientBase.id : FamilyCache.EmptyId);

		if (pattern == "visit") {
			clientId = FamilyCache.EmptyId;
		}

		var requests = FamilyCache.GetCache("register.selectareav1.requests");

		var url = FamilyCache.OnlineBaseurl() + "OnlinePlatform/webapp/register/register_selectAreaV1.aspx?";
		url += "city=" + encodeURI(city);
		url += "&key=" + key;
		url += "&clientId=" + (clientId || FamilyCache.EmptyId);
		url += "&lng=" + lng;
		url += "&lat=" + lat;
		url += "&pattern=" + pattern;
		url += "&r=" + FamilyCache.EmptyId;
		if (requests) {
			url += (requests.substring(0, 1) === "&" ? requests : "&" + requests.substring(1));
		}
		Family.CreateWebView({
			container : "body",
			id : "webview",
			url : url,
			className : "webview",
			showprogress : false
		});
	} catch(e) {
	}
}

function areaClickCallBack() {
	try {
		if (pattern == "visit" || pattern == "normal") {
			var cacheAreaData = ClientUtil.stringToJson(FamilyCache.GetCache("cache.area.callback"));
			FamilyDB.SetFamilyBase({
				"pattern" : (pattern == "visit" ? 0 : 1),
				"areaId" : cacheAreaData.areaId,
				"propertyKey" : cacheAreaData.propertyKey,
				"esareaId" : cacheAreaData.esareaId,
				"areaName" : cacheAreaData.areaName,
				"openOnline" : cacheAreaData.openOnline
			});
			FamilyCache.SetCache("family.base.propertyName", cacheAreaData.propertyName);
			FamilyDB.SetAppMenu(cacheAreaData.appMenus);
			var maiDlg = PageUtil.getWindowById("page_main");
			if (maiDlg) {
				Family.ProcessBar.Show();
				setTimeout("refreshMainPage()", 1000);
			} else {
				open("res:page/main.uixml");
			}
			return;
		}
		var dlg = PageUtil.getWindowById(window.getParameter("windowId"));
		var callback = window.getParameter("callback");
		if (dlg) {
			dlg.callFunction(callback + "()");
		}
		close();
	} catch(e) {
	}
}

function refreshMainPage() {
	var maiDlg = PageUtil.getWindowById("page_main");
	maiDlg.callFunction("maininit()");
	PageUtil.goHtmlPageById("page_main");
	Family.ProcessBar.Hide();
}

function cityCallBack(cityName) {
	city = cityName;
	refreshUrl();
}

function searchCity() {
	try {
		$("webview").executeScript("showSearch()");
	} catch(e) {

	}
}
