/*
 *	ExMobi4.x+ JS
 *	Version	: 1.0.0
 *	Author	: jy313649063
 *	Email	:
 *	Weibo	:
 *	Copyright 2015 (c)
 */

function write() {
	var familyBase = FamilyDB.GetFamilyBase();
	if (familyBase.pattern != 1) {
		Family.Toast.Show("尊敬的游客您好，只有登录用户才能发帖");
		return;
	}
	ClientUtil.execScript("script:popmenu(oper)");
}

function formatDatas(datas) {
	for (var i = 0; i < datas.length; i++) {
		var data = datas[i];
		var images = data.images;
		var imgList = "";
		for (var j = 0; j < images.length; j++) {
			imgList += "<img style='width:33%;height:23%;margin:2;' src='" + FamilyCache.Onlineimgurl() + images[j].url + "' defaultsrc='res:image/icon/lasy_img.png' cached='true' />";
		}
		data.images = imgList;
		data.userImg = FamilyCache.Onlineimgurl() + data.clientId + ".jpg";
	}
	return datas;
}

var pageSize = 20;
var z_totalPage = 0;
var z_currentPage = 1;
function loadZhuanRang() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetTradingList&type=1&areaId=" + familyBase.areaId + "&pageSize=" + pageSize + "&currentPage=" + z_currentPage,
			onComplete : function() {
				$("zhuanrangloading").html("正在加载");
			},
			success : function(rs) {
				$("zhuanrangloading").html("");
				try {
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						z_totalPage = data.body.totalPages;
						var tradingDatas = formatDatas(data.body.tradingDatas);
						if (z_currentPage == 1 && tradingDatas.length == 0) {
							$("zhuanrangloading").html("没有转让信息");
							return;
						}
						$("zhuanranglist").provide(tradingDatas).show();
					} else {
						$("zhuanrangloading").html("<a href='loadZhuanRang()'>加载失败,点击重试</a>");
					}
				} catch(e) {

				}

			},
			fail : function() {
				$("zhuanrangloading").html("<a href='loadZhuanRang()'>加载失败,点击重试</a>");
			}
		});
	} catch(e) {
	}
}

/**
 *转让滚动到底部
 */
function z_onScrollBottom() {
	z_currentPage++;
	if (z_currentPage <= z_totalPage) {
		loadZhuanRang();
	}
}

function z_dragRefresh() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetTradingList&type=1&areaId=" + familyBase.areaId + "&pageSize=" + pageSize + "&currentPage=1",
			success : function(rs) {
				try {
					z_dragTimeout();
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						z_totalPage = data.body.totalPages;
						var tradingDatas = formatDatas(data.body.tradingDatas);
						if (tradingDatas.length > 0) {
							z_currentPage = 1;
							$("zhuanranglist").clear().provide(tradingDatas).show();
						}
					} else {
						z_dragTimeout();
					}
				} catch(e) {

				}

			},
			fail : function() {
				z_dragTimeout();
			}
		});
	} catch(e) {
		z_dragTimeout();
	}
}

/**
 *转让拖动超时
 */
function z_dragTimeout() {
	$("z_dragrefresh").setDisplay();
}

//----------------------------------------------------------
var isLoadQiuGou = false;
var g_totalPage = 0;
var g_currentPage = 1;
function loadQiuGou() {
	try {
		if (isLoadQiuGou)
			return;
		isLoadQiuGou = true;
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetTradingList&type=2&areaId=" + familyBase.areaId + "&pageSize=" + pageSize + "&currentPage=" + g_currentPage,
			onComplete : function() {
				$("qiugouloading").html("正在加载");
			},
			success : function(rs) {
				try {
					$("qiugouloading").html("");
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						g_totalPage = data.body.totalPages;
						var tradingDatas = formatDatas(data.body.tradingDatas);
						if (g_currentPage == 1 && tradingDatas.length == 0) {
							$("qiugouloading").html("没有求购信息");
							return;
						}
						$("qiugoulist").provide(tradingDatas).show();
					} else {
						$("qiugouloading").html("<a href='loadZhuanRang()'>加载失败,点击重试</a>");
					}
				} catch(e) {

				}

			},
			fail : function() {
				$("qiugouloading").html("<a href='loadZhuanRang()'>加载失败,点击重试</a>");
			}
		});
	} catch(e) {

	}

}

/**
 *转让滚动到底部
 */
function g_onScrollBottom() {
	g_currentPage++;
	if (g_currentPage <= g_totalPage) {
		loadQiuGou();
	}
}

function g_dragRefresh() {
	try {
		var familyBase = FamilyDB.GetFamilyBase();
		var clientBase = FamilyDB.GetClientBase();
		Family.DoRequest({
			url : FamilyCache.Onlineurl(),
			data : "method=Online_GetTradingList&type=2&areaId=" + familyBase.areaId + "&pageSize=" + pageSize + "&currentPage=1",
			success : function(rs) {
				try {
					g_dragTimeout();
					var data = Family.ToJSON(rs.responseText);
					if (data && data.response.code == 200) {
						g_totalPage = data.body.totalPages;
						var tradingDatas = formatDatas(data.body.tradingDatas);
						if (tradingDatas.length > 0) {
							g_currentPage = 1;
							$("qiugoulist").clear().provide(tradingDatas).show();
						}
					} else {
						g_dragTimeout();
					}
				} catch(e) {

				}
			},
			fail : function() {
				g_dragTimeout();
			}
		});
	} catch(e) {
		g_dragTimeout();
	}
}

/**
 *转让拖动超时
 */
function g_dragTimeout() {
	$("g_dragrefresh").setDisplay();
}
